Invoice¶
Get A Resource By ID¶
HTTP Request
GET /api/v1/invoice/{id}
📋 Description: Returns the single resource with the given ID.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Resource ID |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
||
409 |
Payment amount exceeds remaining invoice balance |
||
502 |
Downstream service call failed |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "errorMessage": "string",
9 "field": "string",
10 "errorKey": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "displayId": "string",
17 "name": "string",
18 "invoiceType": "VENDOR_INV",
19 "state": "INV_DRAFT",
20 "externalDocumentNumber": "string",
21 "purchaseOrderReference": "string",
22 "invoiceDate": "2019-08-24",
23 "dueDate": "2019-08-24",
24 "notes": "string",
25 "billingPeriodFromDate": "2019-08-24",
26 "billingPeriodToDate": "2019-08-24",
27 "currency": {
28 "id": 0,
29 "displayId": "string",
30 "status": "CREATED",
31 "name": "string",
32 "decimalPoints": 0
33 },
34 "vendor": {
35 "id": 0,
36 "displayId": "string",
37 "status": "CREATED",
38 "name": "string",
39 "erpSystemDisplayId": "string"
40 },
41 "company": {
42 "id": 0,
43 "displayId": "string",
44 "status": "CREATED",
45 "erpSystemId": 0,
46 "erpSystemDisplayId": "string",
47 "countryId": 0,
48 "countryDisplayId": "string",
49 "name": "string",
50 "postingPeriodVariantId": 0,
51 "fiscalVariantId": 0
52 },
53 "netAmount": 0,
54 "taxAmount": 0,
55 "totalAmount": 0,
56 "netAmountBalance": 0,
57 "taxAmountBalance": 0,
58 "paymentTerm": {
59 "id": 0,
60 "displayId": "string",
61 "status": "CREATED",
62 "name": "string"
63 },
64 "paymentMethod": {
65 "id": 0,
66 "displayId": "string",
67 "status": "CREATED",
68 "name": "string",
69 "type": "string"
70 },
71 "paymentBlock": {
72 "id": 0,
73 "displayId": "string",
74 "status": "CREATED",
75 "name": "string"
76 },
77 "defaultCostCenter": {
78 "id": 0,
79 "displayId": "string",
80 "status": "CREATED",
81 "name": "string",
82 "erpSystemId": 0
83 },
84 "defaultProfitCenter": {
85 "id": 0,
86 "displayId": "string",
87 "status": "CREATED",
88 "name": "string",
89 "validTo": "2019-08-24",
90 "erpSystemId": 0,
91 "erpSystemDisplayId": "string"
92 },
93 "invoiceLineItems": [
94 {
95 "id": 0,
96 "displayId": "string",
97 "expenseCategory": {
98 "id": 0,
99 "displayId": "string",
100 "status": "CREATED",
101 "name": "string",
102 "expenseCategoryType": "PAYMENT"
103 },
104 "description": "string",
105 "unitOfMeasure": {
106 "id": 0,
107 "displayId": "string",
108 "status": "CREATED",
109 "name": "string",
110 "erpSystemId": 0
111 },
112 "quantity": 0,
113 "unitPrice": 0,
114 "taxJurisdiction": {
115 "id": 0,
116 "displayId": "string",
117 "status": "CREATED",
118 "name": "string",
119 "erpSystemId": 0,
120 "schema": "string",
121 "countryDisplayId": "string"
122 },
123 "taxCode": {
124 "id": 0,
125 "displayId": "string",
126 "status": "CREATED",
127 "name": "string",
128 "erpSystemId": 0
129 },
130 "taxExpenseAccount": {
131 "id": 0,
132 "displayId": "string",
133 "generalLedgerAccountName": "string",
134 "generalLedgerAccountCode": "string",
135 "openItemManagement": true,
136 "accountCategory": "BALANCESHEET",
137 "shortName": "string",
138 "longName": "string"
139 },
140 "taxLineItems": [
141 {
142 "id": 0,
143 "taxRate": 0.1,
144 "taxAmount": 0,
145 "taxType": "string",
146 "invoiceLineItemId": 0
147 }
148 ],
149 "workBreakdownStructure": {
150 "id": 0,
151 "displayId": "string",
152 "status": "CREATED",
153 "name": "string",
154 "erpSystemId": 0
155 },
156 "costCenter": {
157 "id": 0,
158 "displayId": "string",
159 "status": "CREATED",
160 "name": "string",
161 "erpSystemId": 0
162 },
163 "profitCenter": {
164 "id": 0,
165 "displayId": "string",
166 "status": "CREATED",
167 "name": "string",
168 "validTo": "2019-08-24",
169 "erpSystemId": 0,
170 "erpSystemDisplayId": "string"
171 },
172 "functionalArea": {
173 "id": 0,
174 "displayId": "string",
175 "status": "CREATED",
176 "name": "string",
177 "erpSystemId": 0
178 },
179 "businessArea": {
180 "id": 0,
181 "displayId": "string",
182 "status": "CREATED",
183 "name": "string",
184 "erpSystemId": 0
185 },
186 "segment": {
187 "id": 0,
188 "displayId": "string",
189 "status": "CREATED",
190 "name": "string",
191 "erpSystemId": 0
192 },
193 "network": {
194 "id": 0,
195 "displayId": "string",
196 "status": "CREATED",
197 "name": "string",
198 "erpSystemId": 0
199 },
200 "internalOrderType": {
201 "id": 0,
202 "displayId": "string",
203 "status": "CREATED",
204 "name": "string",
205 "erpSystemId": 0
206 },
207 "internalOrder": {
208 "id": 0,
209 "displayId": "string",
210 "status": "CREATED",
211 "name": "string",
212 "erpSystemId": 0,
213 "internalOrderTypeId": 0
214 },
215 "additionalCurrencies": [
216 {
217 "id": 0,
218 "amount": 0,
219 "currency": {
220 "id": 0,
221 "displayId": "string",
222 "status": "CREATED",
223 "name": "string",
224 "decimalPoints": 0
225 },
226 "conversionRate": 0,
227 "conversionDate": "2019-08-24",
228 "translationDateType": "DOCUMENT_DATE",
229 "amountType": "NET_AMOUNT",
230 "currencyDefinitionType": "CONTRACT_CURRENCY",
231 "invoiceEntryId": 0,
232 "invoiceEntryDisplayId": "string"
233 }
234 ],
235 "scheduledPaymentMatches": [
236 {
237 "id": 0,
238 "fromId": 0,
239 "toId": 0,
240 "amount": 0
241 }
242 ],
243 "goodsReceiptLineItemLinks": [
244 {
245 "id": 0,
246 "fromId": 0,
247 "toId": 0,
248 "linkedQuantity": 0
249 }
250 ],
251 "invoiceId": 0,
252 "invoiceDisplayId": "string",
253 "invoiceState": "INV_DRAFT",
254 "vendorPaymentId": 0,
255 "purchaseOrderLineItemId": 0,
256 "netAmount": 0,
257 "allowsSystemGenerateNewId": true,
258 "numberRangeIdentifierValue": "string",
259 "numberRangeIdentifierType": {
260 "name": "string"
261 },
262 "numberRangeType": {
263 "name": "string"
264 }
265 }
266 ],
267 "workspaceId": 0,
268 "workspaceDisplayId": "string",
269 "workspaceName": "string",
270 "workspaceState": "INV_DRAFT",
271 "remainingNetAmount": 0,
272 "remainingTaxAmount": 0,
273 "remainingTotalAmount": 0,
274 "pendingPaymentCount": 0,
275 "allPaymentsPosted": true,
276 "approvalInfo": {
277 "approverUsername": "string",
278 "approvedAt": "2019-08-24T14:15:22Z"
279 },
280 "rejectionReason": "string",
281 "allowsSystemGenerateNewId": true,
282 "numberRangeIdentifierValue": "string",
283 "numberRangeIdentifierType": {
284 "name": "string"
285 },
286 "numberRangeType": {
287 "name": "string"
288 }
289 }
290}
Update A Resource¶
HTTP Request
PUT /api/v1/invoice/{id}
📋 Description: Fully replaces the resource with the given ID. All fields in the request body are applied.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Resource ID |
body |
body |
true |
Request body containing the updated invoice details, including line items, amounts, and any applicable adjustments. |
Body Parameters
1{
2 "id": 0,
3 "displayId": "string",
4 "name": "string",
5 "invoiceType": "VENDOR_INV",
6 "state": "INV_DRAFT",
7 "externalDocumentNumber": "string",
8 "purchaseOrderReference": "string",
9 "invoiceDate": "2019-08-24",
10 "dueDate": "2019-08-24",
11 "notes": "string",
12 "billingPeriodFromDate": "2019-08-24",
13 "billingPeriodToDate": "2019-08-24",
14 "currency": {
15 "id": 0,
16 "displayId": "string",
17 "status": "CREATED",
18 "name": "string",
19 "decimalPoints": 0
20 },
21 "vendor": {
22 "id": 0,
23 "displayId": "string",
24 "status": "CREATED",
25 "name": "string",
26 "erpSystemDisplayId": "string"
27 },
28 "company": {
29 "id": 0,
30 "displayId": "string",
31 "status": "CREATED",
32 "erpSystemId": 0,
33 "erpSystemDisplayId": "string",
34 "countryId": 0,
35 "countryDisplayId": "string",
36 "name": "string",
37 "postingPeriodVariantId": 0,
38 "fiscalVariantId": 0
39 },
40 "netAmount": 0,
41 "taxAmount": 0,
42 "totalAmount": 0,
43 "netAmountBalance": 0,
44 "taxAmountBalance": 0,
45 "paymentTerm": {
46 "id": 0,
47 "displayId": "string",
48 "status": "CREATED",
49 "name": "string"
50 },
51 "paymentMethod": {
52 "id": 0,
53 "displayId": "string",
54 "status": "CREATED",
55 "name": "string",
56 "type": "string"
57 },
58 "paymentBlock": {
59 "id": 0,
60 "displayId": "string",
61 "status": "CREATED",
62 "name": "string"
63 },
64 "defaultCostCenter": {
65 "id": 0,
66 "displayId": "string",
67 "status": "CREATED",
68 "name": "string",
69 "erpSystemId": 0
70 },
71 "defaultProfitCenter": {
72 "id": 0,
73 "displayId": "string",
74 "status": "CREATED",
75 "name": "string",
76 "validTo": "2019-08-24",
77 "erpSystemId": 0,
78 "erpSystemDisplayId": "string"
79 },
80 "invoiceLineItems": [
81 {
82 "id": 0,
83 "displayId": "string",
84 "expenseCategory": {
85 "id": 0,
86 "displayId": "string",
87 "status": "CREATED",
88 "name": "string",
89 "expenseCategoryType": "PAYMENT"
90 },
91 "description": "string",
92 "unitOfMeasure": {
93 "id": 0,
94 "displayId": "string",
95 "status": "CREATED",
96 "name": "string",
97 "erpSystemId": 0
98 },
99 "quantity": 0,
100 "unitPrice": 0,
101 "taxJurisdiction": {
102 "id": 0,
103 "displayId": "string",
104 "status": "CREATED",
105 "name": "string",
106 "erpSystemId": 0,
107 "schema": "string",
108 "countryDisplayId": "string"
109 },
110 "taxCode": {
111 "id": 0,
112 "displayId": "string",
113 "status": "CREATED",
114 "name": "string",
115 "erpSystemId": 0
116 },
117 "taxExpenseAccount": {
118 "id": 0,
119 "displayId": "string",
120 "generalLedgerAccountName": "string",
121 "generalLedgerAccountCode": "string",
122 "openItemManagement": true,
123 "accountCategory": "BALANCESHEET",
124 "shortName": "string",
125 "longName": "string"
126 },
127 "taxLineItems": [
128 {
129 "id": 0,
130 "taxRate": 0.1,
131 "taxAmount": 0,
132 "taxType": "string",
133 "invoiceLineItemId": 0
134 }
135 ],
136 "workBreakdownStructure": {
137 "id": 0,
138 "displayId": "string",
139 "status": "CREATED",
140 "name": "string",
141 "erpSystemId": 0
142 },
143 "costCenter": {
144 "id": 0,
145 "displayId": "string",
146 "status": "CREATED",
147 "name": "string",
148 "erpSystemId": 0
149 },
150 "profitCenter": {
151 "id": 0,
152 "displayId": "string",
153 "status": "CREATED",
154 "name": "string",
155 "validTo": "2019-08-24",
156 "erpSystemId": 0,
157 "erpSystemDisplayId": "string"
158 },
159 "functionalArea": {
160 "id": 0,
161 "displayId": "string",
162 "status": "CREATED",
163 "name": "string",
164 "erpSystemId": 0
165 },
166 "businessArea": {
167 "id": 0,
168 "displayId": "string",
169 "status": "CREATED",
170 "name": "string",
171 "erpSystemId": 0
172 },
173 "segment": {
174 "id": 0,
175 "displayId": "string",
176 "status": "CREATED",
177 "name": "string",
178 "erpSystemId": 0
179 },
180 "network": {
181 "id": 0,
182 "displayId": "string",
183 "status": "CREATED",
184 "name": "string",
185 "erpSystemId": 0
186 },
187 "internalOrderType": {
188 "id": 0,
189 "displayId": "string",
190 "status": "CREATED",
191 "name": "string",
192 "erpSystemId": 0
193 },
194 "internalOrder": {
195 "id": 0,
196 "displayId": "string",
197 "status": "CREATED",
198 "name": "string",
199 "erpSystemId": 0,
200 "internalOrderTypeId": 0
201 },
202 "additionalCurrencies": [
203 {
204 "id": 0,
205 "amount": 0,
206 "currency": {
207 "id": 0,
208 "displayId": "string",
209 "status": "CREATED",
210 "name": "string",
211 "decimalPoints": 0
212 },
213 "conversionRate": 0,
214 "conversionDate": "2019-08-24",
215 "translationDateType": "DOCUMENT_DATE",
216 "amountType": "NET_AMOUNT",
217 "currencyDefinitionType": "CONTRACT_CURRENCY",
218 "invoiceEntryId": 0,
219 "invoiceEntryDisplayId": "string"
220 }
221 ],
222 "scheduledPaymentMatches": [
223 {
224 "id": 0,
225 "fromId": 0,
226 "toId": 0,
227 "amount": 0
228 }
229 ],
230 "goodsReceiptLineItemLinks": [
231 {
232 "id": 0,
233 "fromId": 0,
234 "toId": 0,
235 "linkedQuantity": 0
236 }
237 ],
238 "invoiceId": 0,
239 "invoiceDisplayId": "string",
240 "invoiceState": "INV_DRAFT",
241 "vendorPaymentId": 0,
242 "purchaseOrderLineItemId": 0,
243 "netAmount": 0,
244 "allowsSystemGenerateNewId": true,
245 "numberRangeIdentifierValue": "string",
246 "numberRangeIdentifierType": {
247 "name": "string"
248 },
249 "numberRangeType": {
250 "name": "string"
251 }
252 }
253 ],
254 "workspaceId": 0,
255 "workspaceDisplayId": "string",
256 "workspaceName": "string",
257 "workspaceState": "INV_DRAFT",
258 "remainingNetAmount": 0,
259 "remainingTaxAmount": 0,
260 "remainingTotalAmount": 0,
261 "pendingPaymentCount": 0,
262 "allPaymentsPosted": true,
263 "approvalInfo": {
264 "approverUsername": "string",
265 "approvedAt": "2019-08-24T14:15:22Z"
266 },
267 "rejectionReason": "string",
268 "allowsSystemGenerateNewId": true,
269 "numberRangeIdentifierValue": "string",
270 "numberRangeIdentifierType": {
271 "name": "string"
272 },
273 "numberRangeType": {
274 "name": "string"
275 }
276}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
||
409 |
Payment amount exceeds remaining invoice balance |
||
502 |
Downstream service call failed |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "errorMessage": "string",
9 "field": "string",
10 "errorKey": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "displayId": "string",
17 "name": "string",
18 "invoiceType": "VENDOR_INV",
19 "state": "INV_DRAFT",
20 "externalDocumentNumber": "string",
21 "purchaseOrderReference": "string",
22 "invoiceDate": "2019-08-24",
23 "dueDate": "2019-08-24",
24 "notes": "string",
25 "billingPeriodFromDate": "2019-08-24",
26 "billingPeriodToDate": "2019-08-24",
27 "currency": {
28 "id": 0,
29 "displayId": "string",
30 "status": "CREATED",
31 "name": "string",
32 "decimalPoints": 0
33 },
34 "vendor": {
35 "id": 0,
36 "displayId": "string",
37 "status": "CREATED",
38 "name": "string",
39 "erpSystemDisplayId": "string"
40 },
41 "company": {
42 "id": 0,
43 "displayId": "string",
44 "status": "CREATED",
45 "erpSystemId": 0,
46 "erpSystemDisplayId": "string",
47 "countryId": 0,
48 "countryDisplayId": "string",
49 "name": "string",
50 "postingPeriodVariantId": 0,
51 "fiscalVariantId": 0
52 },
53 "netAmount": 0,
54 "taxAmount": 0,
55 "totalAmount": 0,
56 "netAmountBalance": 0,
57 "taxAmountBalance": 0,
58 "paymentTerm": {
59 "id": 0,
60 "displayId": "string",
61 "status": "CREATED",
62 "name": "string"
63 },
64 "paymentMethod": {
65 "id": 0,
66 "displayId": "string",
67 "status": "CREATED",
68 "name": "string",
69 "type": "string"
70 },
71 "paymentBlock": {
72 "id": 0,
73 "displayId": "string",
74 "status": "CREATED",
75 "name": "string"
76 },
77 "defaultCostCenter": {
78 "id": 0,
79 "displayId": "string",
80 "status": "CREATED",
81 "name": "string",
82 "erpSystemId": 0
83 },
84 "defaultProfitCenter": {
85 "id": 0,
86 "displayId": "string",
87 "status": "CREATED",
88 "name": "string",
89 "validTo": "2019-08-24",
90 "erpSystemId": 0,
91 "erpSystemDisplayId": "string"
92 },
93 "invoiceLineItems": [
94 {
95 "id": 0,
96 "displayId": "string",
97 "expenseCategory": {
98 "id": 0,
99 "displayId": "string",
100 "status": "CREATED",
101 "name": "string",
102 "expenseCategoryType": "PAYMENT"
103 },
104 "description": "string",
105 "unitOfMeasure": {
106 "id": 0,
107 "displayId": "string",
108 "status": "CREATED",
109 "name": "string",
110 "erpSystemId": 0
111 },
112 "quantity": 0,
113 "unitPrice": 0,
114 "taxJurisdiction": {
115 "id": 0,
116 "displayId": "string",
117 "status": "CREATED",
118 "name": "string",
119 "erpSystemId": 0,
120 "schema": "string",
121 "countryDisplayId": "string"
122 },
123 "taxCode": {
124 "id": 0,
125 "displayId": "string",
126 "status": "CREATED",
127 "name": "string",
128 "erpSystemId": 0
129 },
130 "taxExpenseAccount": {
131 "id": 0,
132 "displayId": "string",
133 "generalLedgerAccountName": "string",
134 "generalLedgerAccountCode": "string",
135 "openItemManagement": true,
136 "accountCategory": "BALANCESHEET",
137 "shortName": "string",
138 "longName": "string"
139 },
140 "taxLineItems": [
141 {
142 "id": 0,
143 "taxRate": 0.1,
144 "taxAmount": 0,
145 "taxType": "string",
146 "invoiceLineItemId": 0
147 }
148 ],
149 "workBreakdownStructure": {
150 "id": 0,
151 "displayId": "string",
152 "status": "CREATED",
153 "name": "string",
154 "erpSystemId": 0
155 },
156 "costCenter": {
157 "id": 0,
158 "displayId": "string",
159 "status": "CREATED",
160 "name": "string",
161 "erpSystemId": 0
162 },
163 "profitCenter": {
164 "id": 0,
165 "displayId": "string",
166 "status": "CREATED",
167 "name": "string",
168 "validTo": "2019-08-24",
169 "erpSystemId": 0,
170 "erpSystemDisplayId": "string"
171 },
172 "functionalArea": {
173 "id": 0,
174 "displayId": "string",
175 "status": "CREATED",
176 "name": "string",
177 "erpSystemId": 0
178 },
179 "businessArea": {
180 "id": 0,
181 "displayId": "string",
182 "status": "CREATED",
183 "name": "string",
184 "erpSystemId": 0
185 },
186 "segment": {
187 "id": 0,
188 "displayId": "string",
189 "status": "CREATED",
190 "name": "string",
191 "erpSystemId": 0
192 },
193 "network": {
194 "id": 0,
195 "displayId": "string",
196 "status": "CREATED",
197 "name": "string",
198 "erpSystemId": 0
199 },
200 "internalOrderType": {
201 "id": 0,
202 "displayId": "string",
203 "status": "CREATED",
204 "name": "string",
205 "erpSystemId": 0
206 },
207 "internalOrder": {
208 "id": 0,
209 "displayId": "string",
210 "status": "CREATED",
211 "name": "string",
212 "erpSystemId": 0,
213 "internalOrderTypeId": 0
214 },
215 "additionalCurrencies": [
216 {
217 "id": 0,
218 "amount": 0,
219 "currency": {
220 "id": 0,
221 "displayId": "string",
222 "status": "CREATED",
223 "name": "string",
224 "decimalPoints": 0
225 },
226 "conversionRate": 0,
227 "conversionDate": "2019-08-24",
228 "translationDateType": "DOCUMENT_DATE",
229 "amountType": "NET_AMOUNT",
230 "currencyDefinitionType": "CONTRACT_CURRENCY",
231 "invoiceEntryId": 0,
232 "invoiceEntryDisplayId": "string"
233 }
234 ],
235 "scheduledPaymentMatches": [
236 {
237 "id": 0,
238 "fromId": 0,
239 "toId": 0,
240 "amount": 0
241 }
242 ],
243 "goodsReceiptLineItemLinks": [
244 {
245 "id": 0,
246 "fromId": 0,
247 "toId": 0,
248 "linkedQuantity": 0
249 }
250 ],
251 "invoiceId": 0,
252 "invoiceDisplayId": "string",
253 "invoiceState": "INV_DRAFT",
254 "vendorPaymentId": 0,
255 "purchaseOrderLineItemId": 0,
256 "netAmount": 0,
257 "allowsSystemGenerateNewId": true,
258 "numberRangeIdentifierValue": "string",
259 "numberRangeIdentifierType": {
260 "name": "string"
261 },
262 "numberRangeType": {
263 "name": "string"
264 }
265 }
266 ],
267 "workspaceId": 0,
268 "workspaceDisplayId": "string",
269 "workspaceName": "string",
270 "workspaceState": "INV_DRAFT",
271 "remainingNetAmount": 0,
272 "remainingTaxAmount": 0,
273 "remainingTotalAmount": 0,
274 "pendingPaymentCount": 0,
275 "allPaymentsPosted": true,
276 "approvalInfo": {
277 "approverUsername": "string",
278 "approvedAt": "2019-08-24T14:15:22Z"
279 },
280 "rejectionReason": "string",
281 "allowsSystemGenerateNewId": true,
282 "numberRangeIdentifierValue": "string",
283 "numberRangeIdentifierType": {
284 "name": "string"
285 },
286 "numberRangeType": {
287 "name": "string"
288 }
289 }
290}
Delete A Single Resource¶
HTTP Request
DELETE /api/v1/invoice/{id}
📋 Description: Permanently deletes the resource with the given ID.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
||
409 |
Payment amount exceeds remaining invoice balance |
||
502 |
Downstream service call failed |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "errorMessage": "string",
9 "field": "string",
10 "errorKey": "string"
11 }
12 ]
13 },
14 "object": {}
15}
Partially Update A Resource (Json Patch)¶
HTTP Request
PATCH /api/v1/invoice/{id}
📋 Description: Applies a JSON Patch (RFC 6902) document to the resource with the given ID. Only the fields specified in the patch are modified; all other fields remain unchanged.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
body |
body |
true |
Request body containing the updated invoice details, including fields such as amount, due date, and status for effective invoice management. |
Body Parameters
1{}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
||
409 |
Payment amount exceeds remaining invoice balance |
||
502 |
Downstream service call failed |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "errorMessage": "string",
9 "field": "string",
10 "errorKey": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "displayId": "string",
17 "name": "string",
18 "invoiceType": "VENDOR_INV",
19 "state": "INV_DRAFT",
20 "externalDocumentNumber": "string",
21 "purchaseOrderReference": "string",
22 "invoiceDate": "2019-08-24",
23 "dueDate": "2019-08-24",
24 "notes": "string",
25 "billingPeriodFromDate": "2019-08-24",
26 "billingPeriodToDate": "2019-08-24",
27 "currency": {
28 "id": 0,
29 "displayId": "string",
30 "status": "CREATED",
31 "name": "string",
32 "decimalPoints": 0
33 },
34 "vendor": {
35 "id": 0,
36 "displayId": "string",
37 "status": "CREATED",
38 "name": "string",
39 "erpSystemDisplayId": "string"
40 },
41 "company": {
42 "id": 0,
43 "displayId": "string",
44 "status": "CREATED",
45 "erpSystemId": 0,
46 "erpSystemDisplayId": "string",
47 "countryId": 0,
48 "countryDisplayId": "string",
49 "name": "string",
50 "postingPeriodVariantId": 0,
51 "fiscalVariantId": 0
52 },
53 "netAmount": 0,
54 "taxAmount": 0,
55 "totalAmount": 0,
56 "netAmountBalance": 0,
57 "taxAmountBalance": 0,
58 "paymentTerm": {
59 "id": 0,
60 "displayId": "string",
61 "status": "CREATED",
62 "name": "string"
63 },
64 "paymentMethod": {
65 "id": 0,
66 "displayId": "string",
67 "status": "CREATED",
68 "name": "string",
69 "type": "string"
70 },
71 "paymentBlock": {
72 "id": 0,
73 "displayId": "string",
74 "status": "CREATED",
75 "name": "string"
76 },
77 "defaultCostCenter": {
78 "id": 0,
79 "displayId": "string",
80 "status": "CREATED",
81 "name": "string",
82 "erpSystemId": 0
83 },
84 "defaultProfitCenter": {
85 "id": 0,
86 "displayId": "string",
87 "status": "CREATED",
88 "name": "string",
89 "validTo": "2019-08-24",
90 "erpSystemId": 0,
91 "erpSystemDisplayId": "string"
92 },
93 "invoiceLineItems": [
94 {
95 "id": 0,
96 "displayId": "string",
97 "expenseCategory": {
98 "id": 0,
99 "displayId": "string",
100 "status": "CREATED",
101 "name": "string",
102 "expenseCategoryType": "PAYMENT"
103 },
104 "description": "string",
105 "unitOfMeasure": {
106 "id": 0,
107 "displayId": "string",
108 "status": "CREATED",
109 "name": "string",
110 "erpSystemId": 0
111 },
112 "quantity": 0,
113 "unitPrice": 0,
114 "taxJurisdiction": {
115 "id": 0,
116 "displayId": "string",
117 "status": "CREATED",
118 "name": "string",
119 "erpSystemId": 0,
120 "schema": "string",
121 "countryDisplayId": "string"
122 },
123 "taxCode": {
124 "id": 0,
125 "displayId": "string",
126 "status": "CREATED",
127 "name": "string",
128 "erpSystemId": 0
129 },
130 "taxExpenseAccount": {
131 "id": 0,
132 "displayId": "string",
133 "generalLedgerAccountName": "string",
134 "generalLedgerAccountCode": "string",
135 "openItemManagement": true,
136 "accountCategory": "BALANCESHEET",
137 "shortName": "string",
138 "longName": "string"
139 },
140 "taxLineItems": [
141 {
142 "id": 0,
143 "taxRate": 0.1,
144 "taxAmount": 0,
145 "taxType": "string",
146 "invoiceLineItemId": 0
147 }
148 ],
149 "workBreakdownStructure": {
150 "id": 0,
151 "displayId": "string",
152 "status": "CREATED",
153 "name": "string",
154 "erpSystemId": 0
155 },
156 "costCenter": {
157 "id": 0,
158 "displayId": "string",
159 "status": "CREATED",
160 "name": "string",
161 "erpSystemId": 0
162 },
163 "profitCenter": {
164 "id": 0,
165 "displayId": "string",
166 "status": "CREATED",
167 "name": "string",
168 "validTo": "2019-08-24",
169 "erpSystemId": 0,
170 "erpSystemDisplayId": "string"
171 },
172 "functionalArea": {
173 "id": 0,
174 "displayId": "string",
175 "status": "CREATED",
176 "name": "string",
177 "erpSystemId": 0
178 },
179 "businessArea": {
180 "id": 0,
181 "displayId": "string",
182 "status": "CREATED",
183 "name": "string",
184 "erpSystemId": 0
185 },
186 "segment": {
187 "id": 0,
188 "displayId": "string",
189 "status": "CREATED",
190 "name": "string",
191 "erpSystemId": 0
192 },
193 "network": {
194 "id": 0,
195 "displayId": "string",
196 "status": "CREATED",
197 "name": "string",
198 "erpSystemId": 0
199 },
200 "internalOrderType": {
201 "id": 0,
202 "displayId": "string",
203 "status": "CREATED",
204 "name": "string",
205 "erpSystemId": 0
206 },
207 "internalOrder": {
208 "id": 0,
209 "displayId": "string",
210 "status": "CREATED",
211 "name": "string",
212 "erpSystemId": 0,
213 "internalOrderTypeId": 0
214 },
215 "additionalCurrencies": [
216 {
217 "id": 0,
218 "amount": 0,
219 "currency": {
220 "id": 0,
221 "displayId": "string",
222 "status": "CREATED",
223 "name": "string",
224 "decimalPoints": 0
225 },
226 "conversionRate": 0,
227 "conversionDate": "2019-08-24",
228 "translationDateType": "DOCUMENT_DATE",
229 "amountType": "NET_AMOUNT",
230 "currencyDefinitionType": "CONTRACT_CURRENCY",
231 "invoiceEntryId": 0,
232 "invoiceEntryDisplayId": "string"
233 }
234 ],
235 "scheduledPaymentMatches": [
236 {
237 "id": 0,
238 "fromId": 0,
239 "toId": 0,
240 "amount": 0
241 }
242 ],
243 "goodsReceiptLineItemLinks": [
244 {
245 "id": 0,
246 "fromId": 0,
247 "toId": 0,
248 "linkedQuantity": 0
249 }
250 ],
251 "invoiceId": 0,
252 "invoiceDisplayId": "string",
253 "invoiceState": "INV_DRAFT",
254 "vendorPaymentId": 0,
255 "purchaseOrderLineItemId": 0,
256 "netAmount": 0,
257 "allowsSystemGenerateNewId": true,
258 "numberRangeIdentifierValue": "string",
259 "numberRangeIdentifierType": {
260 "name": "string"
261 },
262 "numberRangeType": {
263 "name": "string"
264 }
265 }
266 ],
267 "workspaceId": 0,
268 "workspaceDisplayId": "string",
269 "workspaceName": "string",
270 "workspaceState": "INV_DRAFT",
271 "remainingNetAmount": 0,
272 "remainingTaxAmount": 0,
273 "remainingTotalAmount": 0,
274 "pendingPaymentCount": 0,
275 "allPaymentsPosted": true,
276 "approvalInfo": {
277 "approverUsername": "string",
278 "approvedAt": "2019-08-24T14:15:22Z"
279 },
280 "rejectionReason": "string",
281 "allowsSystemGenerateNewId": true,
282 "numberRangeIdentifierValue": "string",
283 "numberRangeIdentifierType": {
284 "name": "string"
285 },
286 "numberRangeType": {
287 "name": "string"
288 }
289 }
290}
Create Or Update A Resource¶
HTTP Request
PUT /api/v1/invoice/createOrUpdate
📋 Description: Creates the resource if no matching record exists, or fully updates it if one is found. Idempotent: safe to call multiple times with the same payload.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
Request body containing invoice details, including line items, amounts, and customer information for creating or updating an invoice. |
Body Parameters
1{
2 "id": 0,
3 "displayId": "string",
4 "name": "string",
5 "invoiceType": "VENDOR_INV",
6 "state": "INV_DRAFT",
7 "externalDocumentNumber": "string",
8 "purchaseOrderReference": "string",
9 "invoiceDate": "2019-08-24",
10 "dueDate": "2019-08-24",
11 "notes": "string",
12 "billingPeriodFromDate": "2019-08-24",
13 "billingPeriodToDate": "2019-08-24",
14 "currency": {
15 "id": 0,
16 "displayId": "string",
17 "status": "CREATED",
18 "name": "string",
19 "decimalPoints": 0
20 },
21 "vendor": {
22 "id": 0,
23 "displayId": "string",
24 "status": "CREATED",
25 "name": "string",
26 "erpSystemDisplayId": "string"
27 },
28 "company": {
29 "id": 0,
30 "displayId": "string",
31 "status": "CREATED",
32 "erpSystemId": 0,
33 "erpSystemDisplayId": "string",
34 "countryId": 0,
35 "countryDisplayId": "string",
36 "name": "string",
37 "postingPeriodVariantId": 0,
38 "fiscalVariantId": 0
39 },
40 "netAmount": 0,
41 "taxAmount": 0,
42 "totalAmount": 0,
43 "netAmountBalance": 0,
44 "taxAmountBalance": 0,
45 "paymentTerm": {
46 "id": 0,
47 "displayId": "string",
48 "status": "CREATED",
49 "name": "string"
50 },
51 "paymentMethod": {
52 "id": 0,
53 "displayId": "string",
54 "status": "CREATED",
55 "name": "string",
56 "type": "string"
57 },
58 "paymentBlock": {
59 "id": 0,
60 "displayId": "string",
61 "status": "CREATED",
62 "name": "string"
63 },
64 "defaultCostCenter": {
65 "id": 0,
66 "displayId": "string",
67 "status": "CREATED",
68 "name": "string",
69 "erpSystemId": 0
70 },
71 "defaultProfitCenter": {
72 "id": 0,
73 "displayId": "string",
74 "status": "CREATED",
75 "name": "string",
76 "validTo": "2019-08-24",
77 "erpSystemId": 0,
78 "erpSystemDisplayId": "string"
79 },
80 "invoiceLineItems": [
81 {
82 "id": 0,
83 "displayId": "string",
84 "expenseCategory": {
85 "id": 0,
86 "displayId": "string",
87 "status": "CREATED",
88 "name": "string",
89 "expenseCategoryType": "PAYMENT"
90 },
91 "description": "string",
92 "unitOfMeasure": {
93 "id": 0,
94 "displayId": "string",
95 "status": "CREATED",
96 "name": "string",
97 "erpSystemId": 0
98 },
99 "quantity": 0,
100 "unitPrice": 0,
101 "taxJurisdiction": {
102 "id": 0,
103 "displayId": "string",
104 "status": "CREATED",
105 "name": "string",
106 "erpSystemId": 0,
107 "schema": "string",
108 "countryDisplayId": "string"
109 },
110 "taxCode": {
111 "id": 0,
112 "displayId": "string",
113 "status": "CREATED",
114 "name": "string",
115 "erpSystemId": 0
116 },
117 "taxExpenseAccount": {
118 "id": 0,
119 "displayId": "string",
120 "generalLedgerAccountName": "string",
121 "generalLedgerAccountCode": "string",
122 "openItemManagement": true,
123 "accountCategory": "BALANCESHEET",
124 "shortName": "string",
125 "longName": "string"
126 },
127 "taxLineItems": [
128 {
129 "id": 0,
130 "taxRate": 0.1,
131 "taxAmount": 0,
132 "taxType": "string",
133 "invoiceLineItemId": 0
134 }
135 ],
136 "workBreakdownStructure": {
137 "id": 0,
138 "displayId": "string",
139 "status": "CREATED",
140 "name": "string",
141 "erpSystemId": 0
142 },
143 "costCenter": {
144 "id": 0,
145 "displayId": "string",
146 "status": "CREATED",
147 "name": "string",
148 "erpSystemId": 0
149 },
150 "profitCenter": {
151 "id": 0,
152 "displayId": "string",
153 "status": "CREATED",
154 "name": "string",
155 "validTo": "2019-08-24",
156 "erpSystemId": 0,
157 "erpSystemDisplayId": "string"
158 },
159 "functionalArea": {
160 "id": 0,
161 "displayId": "string",
162 "status": "CREATED",
163 "name": "string",
164 "erpSystemId": 0
165 },
166 "businessArea": {
167 "id": 0,
168 "displayId": "string",
169 "status": "CREATED",
170 "name": "string",
171 "erpSystemId": 0
172 },
173 "segment": {
174 "id": 0,
175 "displayId": "string",
176 "status": "CREATED",
177 "name": "string",
178 "erpSystemId": 0
179 },
180 "network": {
181 "id": 0,
182 "displayId": "string",
183 "status": "CREATED",
184 "name": "string",
185 "erpSystemId": 0
186 },
187 "internalOrderType": {
188 "id": 0,
189 "displayId": "string",
190 "status": "CREATED",
191 "name": "string",
192 "erpSystemId": 0
193 },
194 "internalOrder": {
195 "id": 0,
196 "displayId": "string",
197 "status": "CREATED",
198 "name": "string",
199 "erpSystemId": 0,
200 "internalOrderTypeId": 0
201 },
202 "additionalCurrencies": [
203 {
204 "id": 0,
205 "amount": 0,
206 "currency": {
207 "id": 0,
208 "displayId": "string",
209 "status": "CREATED",
210 "name": "string",
211 "decimalPoints": 0
212 },
213 "conversionRate": 0,
214 "conversionDate": "2019-08-24",
215 "translationDateType": "DOCUMENT_DATE",
216 "amountType": "NET_AMOUNT",
217 "currencyDefinitionType": "CONTRACT_CURRENCY",
218 "invoiceEntryId": 0,
219 "invoiceEntryDisplayId": "string"
220 }
221 ],
222 "scheduledPaymentMatches": [
223 {
224 "id": 0,
225 "fromId": 0,
226 "toId": 0,
227 "amount": 0
228 }
229 ],
230 "goodsReceiptLineItemLinks": [
231 {
232 "id": 0,
233 "fromId": 0,
234 "toId": 0,
235 "linkedQuantity": 0
236 }
237 ],
238 "invoiceId": 0,
239 "invoiceDisplayId": "string",
240 "invoiceState": "INV_DRAFT",
241 "vendorPaymentId": 0,
242 "purchaseOrderLineItemId": 0,
243 "netAmount": 0,
244 "allowsSystemGenerateNewId": true,
245 "numberRangeIdentifierValue": "string",
246 "numberRangeIdentifierType": {
247 "name": "string"
248 },
249 "numberRangeType": {
250 "name": "string"
251 }
252 }
253 ],
254 "workspaceId": 0,
255 "workspaceDisplayId": "string",
256 "workspaceName": "string",
257 "workspaceState": "INV_DRAFT",
258 "remainingNetAmount": 0,
259 "remainingTaxAmount": 0,
260 "remainingTotalAmount": 0,
261 "pendingPaymentCount": 0,
262 "allPaymentsPosted": true,
263 "approvalInfo": {
264 "approverUsername": "string",
265 "approvedAt": "2019-08-24T14:15:22Z"
266 },
267 "rejectionReason": "string",
268 "allowsSystemGenerateNewId": true,
269 "numberRangeIdentifierValue": "string",
270 "numberRangeIdentifierType": {
271 "name": "string"
272 },
273 "numberRangeType": {
274 "name": "string"
275 }
276}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
||
409 |
Payment amount exceeds remaining invoice balance |
||
502 |
Downstream service call failed |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "errorMessage": "string",
9 "field": "string",
10 "errorKey": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "displayId": "string",
17 "name": "string",
18 "invoiceType": "VENDOR_INV",
19 "state": "INV_DRAFT",
20 "externalDocumentNumber": "string",
21 "purchaseOrderReference": "string",
22 "invoiceDate": "2019-08-24",
23 "dueDate": "2019-08-24",
24 "notes": "string",
25 "billingPeriodFromDate": "2019-08-24",
26 "billingPeriodToDate": "2019-08-24",
27 "currency": {
28 "id": 0,
29 "displayId": "string",
30 "status": "CREATED",
31 "name": "string",
32 "decimalPoints": 0
33 },
34 "vendor": {
35 "id": 0,
36 "displayId": "string",
37 "status": "CREATED",
38 "name": "string",
39 "erpSystemDisplayId": "string"
40 },
41 "company": {
42 "id": 0,
43 "displayId": "string",
44 "status": "CREATED",
45 "erpSystemId": 0,
46 "erpSystemDisplayId": "string",
47 "countryId": 0,
48 "countryDisplayId": "string",
49 "name": "string",
50 "postingPeriodVariantId": 0,
51 "fiscalVariantId": 0
52 },
53 "netAmount": 0,
54 "taxAmount": 0,
55 "totalAmount": 0,
56 "netAmountBalance": 0,
57 "taxAmountBalance": 0,
58 "paymentTerm": {
59 "id": 0,
60 "displayId": "string",
61 "status": "CREATED",
62 "name": "string"
63 },
64 "paymentMethod": {
65 "id": 0,
66 "displayId": "string",
67 "status": "CREATED",
68 "name": "string",
69 "type": "string"
70 },
71 "paymentBlock": {
72 "id": 0,
73 "displayId": "string",
74 "status": "CREATED",
75 "name": "string"
76 },
77 "defaultCostCenter": {
78 "id": 0,
79 "displayId": "string",
80 "status": "CREATED",
81 "name": "string",
82 "erpSystemId": 0
83 },
84 "defaultProfitCenter": {
85 "id": 0,
86 "displayId": "string",
87 "status": "CREATED",
88 "name": "string",
89 "validTo": "2019-08-24",
90 "erpSystemId": 0,
91 "erpSystemDisplayId": "string"
92 },
93 "invoiceLineItems": [
94 {
95 "id": 0,
96 "displayId": "string",
97 "expenseCategory": {
98 "id": 0,
99 "displayId": "string",
100 "status": "CREATED",
101 "name": "string",
102 "expenseCategoryType": "PAYMENT"
103 },
104 "description": "string",
105 "unitOfMeasure": {
106 "id": 0,
107 "displayId": "string",
108 "status": "CREATED",
109 "name": "string",
110 "erpSystemId": 0
111 },
112 "quantity": 0,
113 "unitPrice": 0,
114 "taxJurisdiction": {
115 "id": 0,
116 "displayId": "string",
117 "status": "CREATED",
118 "name": "string",
119 "erpSystemId": 0,
120 "schema": "string",
121 "countryDisplayId": "string"
122 },
123 "taxCode": {
124 "id": 0,
125 "displayId": "string",
126 "status": "CREATED",
127 "name": "string",
128 "erpSystemId": 0
129 },
130 "taxExpenseAccount": {
131 "id": 0,
132 "displayId": "string",
133 "generalLedgerAccountName": "string",
134 "generalLedgerAccountCode": "string",
135 "openItemManagement": true,
136 "accountCategory": "BALANCESHEET",
137 "shortName": "string",
138 "longName": "string"
139 },
140 "taxLineItems": [
141 {
142 "id": 0,
143 "taxRate": 0.1,
144 "taxAmount": 0,
145 "taxType": "string",
146 "invoiceLineItemId": 0
147 }
148 ],
149 "workBreakdownStructure": {
150 "id": 0,
151 "displayId": "string",
152 "status": "CREATED",
153 "name": "string",
154 "erpSystemId": 0
155 },
156 "costCenter": {
157 "id": 0,
158 "displayId": "string",
159 "status": "CREATED",
160 "name": "string",
161 "erpSystemId": 0
162 },
163 "profitCenter": {
164 "id": 0,
165 "displayId": "string",
166 "status": "CREATED",
167 "name": "string",
168 "validTo": "2019-08-24",
169 "erpSystemId": 0,
170 "erpSystemDisplayId": "string"
171 },
172 "functionalArea": {
173 "id": 0,
174 "displayId": "string",
175 "status": "CREATED",
176 "name": "string",
177 "erpSystemId": 0
178 },
179 "businessArea": {
180 "id": 0,
181 "displayId": "string",
182 "status": "CREATED",
183 "name": "string",
184 "erpSystemId": 0
185 },
186 "segment": {
187 "id": 0,
188 "displayId": "string",
189 "status": "CREATED",
190 "name": "string",
191 "erpSystemId": 0
192 },
193 "network": {
194 "id": 0,
195 "displayId": "string",
196 "status": "CREATED",
197 "name": "string",
198 "erpSystemId": 0
199 },
200 "internalOrderType": {
201 "id": 0,
202 "displayId": "string",
203 "status": "CREATED",
204 "name": "string",
205 "erpSystemId": 0
206 },
207 "internalOrder": {
208 "id": 0,
209 "displayId": "string",
210 "status": "CREATED",
211 "name": "string",
212 "erpSystemId": 0,
213 "internalOrderTypeId": 0
214 },
215 "additionalCurrencies": [
216 {
217 "id": 0,
218 "amount": 0,
219 "currency": {
220 "id": 0,
221 "displayId": "string",
222 "status": "CREATED",
223 "name": "string",
224 "decimalPoints": 0
225 },
226 "conversionRate": 0,
227 "conversionDate": "2019-08-24",
228 "translationDateType": "DOCUMENT_DATE",
229 "amountType": "NET_AMOUNT",
230 "currencyDefinitionType": "CONTRACT_CURRENCY",
231 "invoiceEntryId": 0,
232 "invoiceEntryDisplayId": "string"
233 }
234 ],
235 "scheduledPaymentMatches": [
236 {
237 "id": 0,
238 "fromId": 0,
239 "toId": 0,
240 "amount": 0
241 }
242 ],
243 "goodsReceiptLineItemLinks": [
244 {
245 "id": 0,
246 "fromId": 0,
247 "toId": 0,
248 "linkedQuantity": 0
249 }
250 ],
251 "invoiceId": 0,
252 "invoiceDisplayId": "string",
253 "invoiceState": "INV_DRAFT",
254 "vendorPaymentId": 0,
255 "purchaseOrderLineItemId": 0,
256 "netAmount": 0,
257 "allowsSystemGenerateNewId": true,
258 "numberRangeIdentifierValue": "string",
259 "numberRangeIdentifierType": {
260 "name": "string"
261 },
262 "numberRangeType": {
263 "name": "string"
264 }
265 }
266 ],
267 "workspaceId": 0,
268 "workspaceDisplayId": "string",
269 "workspaceName": "string",
270 "workspaceState": "INV_DRAFT",
271 "remainingNetAmount": 0,
272 "remainingTaxAmount": 0,
273 "remainingTotalAmount": 0,
274 "pendingPaymentCount": 0,
275 "allPaymentsPosted": true,
276 "approvalInfo": {
277 "approverUsername": "string",
278 "approvedAt": "2019-08-24T14:15:22Z"
279 },
280 "rejectionReason": "string",
281 "allowsSystemGenerateNewId": true,
282 "numberRangeIdentifierValue": "string",
283 "numberRangeIdentifierType": {
284 "name": "string"
285 },
286 "numberRangeType": {
287 "name": "string"
288 }
289 }
290}
Bulk Create-Or-Update Resources¶
HTTP Request
PUT /api/v1/invoice/createOrUpdate/bulk
📋 Description: Creates or updates multiple resources in a single request. Partial success: each item is processed independently. Items that pass validation are persisted; failed items are recorded in the response
errorslist. The response body always contains the successfully processed items alongside any per-item errors.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
Request body containing an array of invoice objects, each with relevant details for creating or updating multiple invoices in bulk. |
Body Parameters
1[
2 {
3 "id": 0,
4 "displayId": "string",
5 "name": "string",
6 "invoiceType": "VENDOR_INV",
7 "state": "INV_DRAFT",
8 "externalDocumentNumber": "string",
9 "purchaseOrderReference": "string",
10 "invoiceDate": "2019-08-24",
11 "dueDate": "2019-08-24",
12 "notes": "string",
13 "billingPeriodFromDate": "2019-08-24",
14 "billingPeriodToDate": "2019-08-24",
15 "currency": {
16 "id": 0,
17 "displayId": "string",
18 "status": "CREATED",
19 "name": "string",
20 "decimalPoints": 0
21 },
22 "vendor": {
23 "id": 0,
24 "displayId": "string",
25 "status": "CREATED",
26 "name": "string",
27 "erpSystemDisplayId": "string"
28 },
29 "company": {
30 "id": 0,
31 "displayId": "string",
32 "status": "CREATED",
33 "erpSystemId": 0,
34 "erpSystemDisplayId": "string",
35 "countryId": 0,
36 "countryDisplayId": "string",
37 "name": "string",
38 "postingPeriodVariantId": 0,
39 "fiscalVariantId": 0
40 },
41 "netAmount": 0,
42 "taxAmount": 0,
43 "totalAmount": 0,
44 "netAmountBalance": 0,
45 "taxAmountBalance": 0,
46 "paymentTerm": {
47 "id": 0,
48 "displayId": "string",
49 "status": "CREATED",
50 "name": "string"
51 },
52 "paymentMethod": {
53 "id": 0,
54 "displayId": "string",
55 "status": "CREATED",
56 "name": "string",
57 "type": "string"
58 },
59 "paymentBlock": {
60 "id": 0,
61 "displayId": "string",
62 "status": "CREATED",
63 "name": "string"
64 },
65 "defaultCostCenter": {
66 "id": 0,
67 "displayId": "string",
68 "status": "CREATED",
69 "name": "string",
70 "erpSystemId": 0
71 },
72 "defaultProfitCenter": {
73 "id": 0,
74 "displayId": "string",
75 "status": "CREATED",
76 "name": "string",
77 "validTo": "2019-08-24",
78 "erpSystemId": 0,
79 "erpSystemDisplayId": "string"
80 },
81 "invoiceLineItems": [
82 {
83 "id": 0,
84 "displayId": "string",
85 "expenseCategory": {
86 "id": 0,
87 "displayId": "string",
88 "status": "CREATED",
89 "name": "string",
90 "expenseCategoryType": "PAYMENT"
91 },
92 "description": "string",
93 "unitOfMeasure": {
94 "id": 0,
95 "displayId": "string",
96 "status": "CREATED",
97 "name": "string",
98 "erpSystemId": 0
99 },
100 "quantity": 0,
101 "unitPrice": 0,
102 "taxJurisdiction": {
103 "id": 0,
104 "displayId": "string",
105 "status": "CREATED",
106 "name": "string",
107 "erpSystemId": 0,
108 "schema": "string",
109 "countryDisplayId": "string"
110 },
111 "taxCode": {
112 "id": 0,
113 "displayId": "string",
114 "status": "CREATED",
115 "name": "string",
116 "erpSystemId": 0
117 },
118 "taxExpenseAccount": {
119 "id": 0,
120 "displayId": "string",
121 "generalLedgerAccountName": "string",
122 "generalLedgerAccountCode": "string",
123 "openItemManagement": true,
124 "accountCategory": "BALANCESHEET",
125 "shortName": "string",
126 "longName": "string"
127 },
128 "taxLineItems": [
129 {
130 "id": 0,
131 "taxRate": 0.1,
132 "taxAmount": 0,
133 "taxType": "string",
134 "invoiceLineItemId": 0
135 }
136 ],
137 "workBreakdownStructure": {
138 "id": 0,
139 "displayId": "string",
140 "status": "CREATED",
141 "name": "string",
142 "erpSystemId": 0
143 },
144 "costCenter": {
145 "id": 0,
146 "displayId": "string",
147 "status": "CREATED",
148 "name": "string",
149 "erpSystemId": 0
150 },
151 "profitCenter": {
152 "id": 0,
153 "displayId": "string",
154 "status": "CREATED",
155 "name": "string",
156 "validTo": "2019-08-24",
157 "erpSystemId": 0,
158 "erpSystemDisplayId": "string"
159 },
160 "functionalArea": {
161 "id": 0,
162 "displayId": "string",
163 "status": "CREATED",
164 "name": "string",
165 "erpSystemId": 0
166 },
167 "businessArea": {
168 "id": 0,
169 "displayId": "string",
170 "status": "CREATED",
171 "name": "string",
172 "erpSystemId": 0
173 },
174 "segment": {
175 "id": 0,
176 "displayId": "string",
177 "status": "CREATED",
178 "name": "string",
179 "erpSystemId": 0
180 },
181 "network": {
182 "id": 0,
183 "displayId": "string",
184 "status": "CREATED",
185 "name": "string",
186 "erpSystemId": 0
187 },
188 "internalOrderType": {
189 "id": 0,
190 "displayId": "string",
191 "status": "CREATED",
192 "name": "string",
193 "erpSystemId": 0
194 },
195 "internalOrder": {
196 "id": 0,
197 "displayId": "string",
198 "status": "CREATED",
199 "name": "string",
200 "erpSystemId": 0,
201 "internalOrderTypeId": 0
202 },
203 "additionalCurrencies": [
204 {
205 "id": 0,
206 "amount": 0,
207 "currency": {
208 "id": 0,
209 "displayId": "string",
210 "status": "CREATED",
211 "name": "string",
212 "decimalPoints": 0
213 },
214 "conversionRate": 0,
215 "conversionDate": "2019-08-24",
216 "translationDateType": "DOCUMENT_DATE",
217 "amountType": "NET_AMOUNT",
218 "currencyDefinitionType": "CONTRACT_CURRENCY",
219 "invoiceEntryId": 0,
220 "invoiceEntryDisplayId": "string"
221 }
222 ],
223 "scheduledPaymentMatches": [
224 {
225 "id": 0,
226 "fromId": 0,
227 "toId": 0,
228 "amount": 0
229 }
230 ],
231 "goodsReceiptLineItemLinks": [
232 {
233 "id": 0,
234 "fromId": 0,
235 "toId": 0,
236 "linkedQuantity": 0
237 }
238 ],
239 "invoiceId": 0,
240 "invoiceDisplayId": "string",
241 "invoiceState": "INV_DRAFT",
242 "vendorPaymentId": 0,
243 "purchaseOrderLineItemId": 0,
244 "netAmount": 0,
245 "allowsSystemGenerateNewId": true,
246 "numberRangeIdentifierValue": "string",
247 "numberRangeIdentifierType": {
248 "name": "string"
249 },
250 "numberRangeType": {
251 "name": "string"
252 }
253 }
254 ],
255 "workspaceId": 0,
256 "workspaceDisplayId": "string",
257 "workspaceName": "string",
258 "workspaceState": "INV_DRAFT",
259 "remainingNetAmount": 0,
260 "remainingTaxAmount": 0,
261 "remainingTotalAmount": 0,
262 "pendingPaymentCount": 0,
263 "allPaymentsPosted": true,
264 "approvalInfo": {
265 "approverUsername": "string",
266 "approvedAt": "2019-08-24T14:15:22Z"
267 },
268 "rejectionReason": "string",
269 "allowsSystemGenerateNewId": true,
270 "numberRangeIdentifierValue": "string",
271 "numberRangeIdentifierType": {
272 "name": "string"
273 },
274 "numberRangeType": {
275 "name": "string"
276 }
277 }
278]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
||
409 |
Payment amount exceeds remaining invoice balance |
||
502 |
Downstream service call failed |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "errorMessage": "string",
9 "field": "string",
10 "errorKey": "string"
11 }
12 ]
13 },
14 "object": [
15 {
16 "id": 0,
17 "displayId": "string",
18 "name": "string",
19 "invoiceType": "VENDOR_INV",
20 "state": "INV_DRAFT",
21 "externalDocumentNumber": "string",
22 "purchaseOrderReference": "string",
23 "invoiceDate": "2019-08-24",
24 "dueDate": "2019-08-24",
25 "notes": "string",
26 "billingPeriodFromDate": "2019-08-24",
27 "billingPeriodToDate": "2019-08-24",
28 "currency": {
29 "id": 0,
30 "displayId": "string",
31 "status": "CREATED",
32 "name": "string",
33 "decimalPoints": 0
34 },
35 "vendor": {
36 "id": 0,
37 "displayId": "string",
38 "status": "CREATED",
39 "name": "string",
40 "erpSystemDisplayId": "string"
41 },
42 "company": {
43 "id": 0,
44 "displayId": "string",
45 "status": "CREATED",
46 "erpSystemId": 0,
47 "erpSystemDisplayId": "string",
48 "countryId": 0,
49 "countryDisplayId": "string",
50 "name": "string",
51 "postingPeriodVariantId": 0,
52 "fiscalVariantId": 0
53 },
54 "netAmount": 0,
55 "taxAmount": 0,
56 "totalAmount": 0,
57 "netAmountBalance": 0,
58 "taxAmountBalance": 0,
59 "paymentTerm": {
60 "id": 0,
61 "displayId": "string",
62 "status": "CREATED",
63 "name": "string"
64 },
65 "paymentMethod": {
66 "id": 0,
67 "displayId": "string",
68 "status": "CREATED",
69 "name": "string",
70 "type": "string"
71 },
72 "paymentBlock": {
73 "id": 0,
74 "displayId": "string",
75 "status": "CREATED",
76 "name": "string"
77 },
78 "defaultCostCenter": {
79 "id": 0,
80 "displayId": "string",
81 "status": "CREATED",
82 "name": "string",
83 "erpSystemId": 0
84 },
85 "defaultProfitCenter": {
86 "id": 0,
87 "displayId": "string",
88 "status": "CREATED",
89 "name": "string",
90 "validTo": "2019-08-24",
91 "erpSystemId": 0,
92 "erpSystemDisplayId": "string"
93 },
94 "invoiceLineItems": [
95 {
96 "id": 0,
97 "displayId": "string",
98 "expenseCategory": {
99 "id": 0,
100 "displayId": "string",
101 "status": "CREATED",
102 "name": "string",
103 "expenseCategoryType": "PAYMENT"
104 },
105 "description": "string",
106 "unitOfMeasure": {
107 "id": 0,
108 "displayId": "string",
109 "status": "CREATED",
110 "name": "string",
111 "erpSystemId": 0
112 },
113 "quantity": 0,
114 "unitPrice": 0,
115 "taxJurisdiction": {
116 "id": 0,
117 "displayId": "string",
118 "status": "CREATED",
119 "name": "string",
120 "erpSystemId": 0,
121 "schema": "string",
122 "countryDisplayId": "string"
123 },
124 "taxCode": {
125 "id": 0,
126 "displayId": "string",
127 "status": "CREATED",
128 "name": "string",
129 "erpSystemId": 0
130 },
131 "taxExpenseAccount": {
132 "id": 0,
133 "displayId": "string",
134 "generalLedgerAccountName": "string",
135 "generalLedgerAccountCode": "string",
136 "openItemManagement": true,
137 "accountCategory": "BALANCESHEET",
138 "shortName": "string",
139 "longName": "string"
140 },
141 "taxLineItems": [
142 {
143 "id": 0,
144 "taxRate": 0.1,
145 "taxAmount": 0,
146 "taxType": "string",
147 "invoiceLineItemId": 0
148 }
149 ],
150 "workBreakdownStructure": {
151 "id": 0,
152 "displayId": "string",
153 "status": "CREATED",
154 "name": "string",
155 "erpSystemId": 0
156 },
157 "costCenter": {
158 "id": 0,
159 "displayId": "string",
160 "status": "CREATED",
161 "name": "string",
162 "erpSystemId": 0
163 },
164 "profitCenter": {
165 "id": 0,
166 "displayId": "string",
167 "status": "CREATED",
168 "name": "string",
169 "validTo": "2019-08-24",
170 "erpSystemId": 0,
171 "erpSystemDisplayId": "string"
172 },
173 "functionalArea": {
174 "id": 0,
175 "displayId": "string",
176 "status": "CREATED",
177 "name": "string",
178 "erpSystemId": 0
179 },
180 "businessArea": {
181 "id": 0,
182 "displayId": "string",
183 "status": "CREATED",
184 "name": "string",
185 "erpSystemId": 0
186 },
187 "segment": {
188 "id": 0,
189 "displayId": "string",
190 "status": "CREATED",
191 "name": "string",
192 "erpSystemId": 0
193 },
194 "network": {
195 "id": 0,
196 "displayId": "string",
197 "status": "CREATED",
198 "name": "string",
199 "erpSystemId": 0
200 },
201 "internalOrderType": {
202 "id": 0,
203 "displayId": "string",
204 "status": "CREATED",
205 "name": "string",
206 "erpSystemId": 0
207 },
208 "internalOrder": {
209 "id": 0,
210 "displayId": "string",
211 "status": "CREATED",
212 "name": "string",
213 "erpSystemId": 0,
214 "internalOrderTypeId": 0
215 },
216 "additionalCurrencies": [
217 {
218 "id": 0,
219 "amount": 0,
220 "currency": {
221 "id": 0,
222 "displayId": "string",
223 "status": "CREATED",
224 "name": "string",
225 "decimalPoints": 0
226 },
227 "conversionRate": 0,
228 "conversionDate": "2019-08-24",
229 "translationDateType": "DOCUMENT_DATE",
230 "amountType": "NET_AMOUNT",
231 "currencyDefinitionType": "CONTRACT_CURRENCY",
232 "invoiceEntryId": 0,
233 "invoiceEntryDisplayId": "string"
234 }
235 ],
236 "scheduledPaymentMatches": [
237 {
238 "id": 0,
239 "fromId": 0,
240 "toId": 0,
241 "amount": 0
242 }
243 ],
244 "goodsReceiptLineItemLinks": [
245 {
246 "id": 0,
247 "fromId": 0,
248 "toId": 0,
249 "linkedQuantity": 0
250 }
251 ],
252 "invoiceId": 0,
253 "invoiceDisplayId": "string",
254 "invoiceState": "INV_DRAFT",
255 "vendorPaymentId": 0,
256 "purchaseOrderLineItemId": 0,
257 "netAmount": 0,
258 "allowsSystemGenerateNewId": true,
259 "numberRangeIdentifierValue": "string",
260 "numberRangeIdentifierType": {
261 "name": "string"
262 },
263 "numberRangeType": {
264 "name": "string"
265 }
266 }
267 ],
268 "workspaceId": 0,
269 "workspaceDisplayId": "string",
270 "workspaceName": "string",
271 "workspaceState": "INV_DRAFT",
272 "remainingNetAmount": 0,
273 "remainingTaxAmount": 0,
274 "remainingTotalAmount": 0,
275 "pendingPaymentCount": 0,
276 "allPaymentsPosted": true,
277 "approvalInfo": {
278 "approverUsername": "string",
279 "approvedAt": "2019-08-24T14:15:22Z"
280 },
281 "rejectionReason": "string",
282 "allowsSystemGenerateNewId": true,
283 "numberRangeIdentifierValue": "string",
284 "numberRangeIdentifierType": {
285 "name": "string"
286 },
287 "numberRangeType": {
288 "name": "string"
289 }
290 }
291 ]
292}
Bulk-Update Resources¶
HTTP Request
PUT /api/v1/invoice/bulk
📋 Description: Updates multiple resources in a single request. Partial success: each item is processed independently. Items that pass validation are updated; failed items are recorded in the response
errorslist. The response body always contains the successfully updated items alongside any per-item errors.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
Request body containing an array of invoice objects, each including details such as invoice ID, amount, and status for bulk processing and updates. |
Body Parameters
1[
2 {
3 "id": 0,
4 "displayId": "string",
5 "name": "string",
6 "invoiceType": "VENDOR_INV",
7 "state": "INV_DRAFT",
8 "externalDocumentNumber": "string",
9 "purchaseOrderReference": "string",
10 "invoiceDate": "2019-08-24",
11 "dueDate": "2019-08-24",
12 "notes": "string",
13 "billingPeriodFromDate": "2019-08-24",
14 "billingPeriodToDate": "2019-08-24",
15 "currency": {
16 "id": 0,
17 "displayId": "string",
18 "status": "CREATED",
19 "name": "string",
20 "decimalPoints": 0
21 },
22 "vendor": {
23 "id": 0,
24 "displayId": "string",
25 "status": "CREATED",
26 "name": "string",
27 "erpSystemDisplayId": "string"
28 },
29 "company": {
30 "id": 0,
31 "displayId": "string",
32 "status": "CREATED",
33 "erpSystemId": 0,
34 "erpSystemDisplayId": "string",
35 "countryId": 0,
36 "countryDisplayId": "string",
37 "name": "string",
38 "postingPeriodVariantId": 0,
39 "fiscalVariantId": 0
40 },
41 "netAmount": 0,
42 "taxAmount": 0,
43 "totalAmount": 0,
44 "netAmountBalance": 0,
45 "taxAmountBalance": 0,
46 "paymentTerm": {
47 "id": 0,
48 "displayId": "string",
49 "status": "CREATED",
50 "name": "string"
51 },
52 "paymentMethod": {
53 "id": 0,
54 "displayId": "string",
55 "status": "CREATED",
56 "name": "string",
57 "type": "string"
58 },
59 "paymentBlock": {
60 "id": 0,
61 "displayId": "string",
62 "status": "CREATED",
63 "name": "string"
64 },
65 "defaultCostCenter": {
66 "id": 0,
67 "displayId": "string",
68 "status": "CREATED",
69 "name": "string",
70 "erpSystemId": 0
71 },
72 "defaultProfitCenter": {
73 "id": 0,
74 "displayId": "string",
75 "status": "CREATED",
76 "name": "string",
77 "validTo": "2019-08-24",
78 "erpSystemId": 0,
79 "erpSystemDisplayId": "string"
80 },
81 "invoiceLineItems": [
82 {
83 "id": 0,
84 "displayId": "string",
85 "expenseCategory": {
86 "id": 0,
87 "displayId": "string",
88 "status": "CREATED",
89 "name": "string",
90 "expenseCategoryType": "PAYMENT"
91 },
92 "description": "string",
93 "unitOfMeasure": {
94 "id": 0,
95 "displayId": "string",
96 "status": "CREATED",
97 "name": "string",
98 "erpSystemId": 0
99 },
100 "quantity": 0,
101 "unitPrice": 0,
102 "taxJurisdiction": {
103 "id": 0,
104 "displayId": "string",
105 "status": "CREATED",
106 "name": "string",
107 "erpSystemId": 0,
108 "schema": "string",
109 "countryDisplayId": "string"
110 },
111 "taxCode": {
112 "id": 0,
113 "displayId": "string",
114 "status": "CREATED",
115 "name": "string",
116 "erpSystemId": 0
117 },
118 "taxExpenseAccount": {
119 "id": 0,
120 "displayId": "string",
121 "generalLedgerAccountName": "string",
122 "generalLedgerAccountCode": "string",
123 "openItemManagement": true,
124 "accountCategory": "BALANCESHEET",
125 "shortName": "string",
126 "longName": "string"
127 },
128 "taxLineItems": [
129 {
130 "id": 0,
131 "taxRate": 0.1,
132 "taxAmount": 0,
133 "taxType": "string",
134 "invoiceLineItemId": 0
135 }
136 ],
137 "workBreakdownStructure": {
138 "id": 0,
139 "displayId": "string",
140 "status": "CREATED",
141 "name": "string",
142 "erpSystemId": 0
143 },
144 "costCenter": {
145 "id": 0,
146 "displayId": "string",
147 "status": "CREATED",
148 "name": "string",
149 "erpSystemId": 0
150 },
151 "profitCenter": {
152 "id": 0,
153 "displayId": "string",
154 "status": "CREATED",
155 "name": "string",
156 "validTo": "2019-08-24",
157 "erpSystemId": 0,
158 "erpSystemDisplayId": "string"
159 },
160 "functionalArea": {
161 "id": 0,
162 "displayId": "string",
163 "status": "CREATED",
164 "name": "string",
165 "erpSystemId": 0
166 },
167 "businessArea": {
168 "id": 0,
169 "displayId": "string",
170 "status": "CREATED",
171 "name": "string",
172 "erpSystemId": 0
173 },
174 "segment": {
175 "id": 0,
176 "displayId": "string",
177 "status": "CREATED",
178 "name": "string",
179 "erpSystemId": 0
180 },
181 "network": {
182 "id": 0,
183 "displayId": "string",
184 "status": "CREATED",
185 "name": "string",
186 "erpSystemId": 0
187 },
188 "internalOrderType": {
189 "id": 0,
190 "displayId": "string",
191 "status": "CREATED",
192 "name": "string",
193 "erpSystemId": 0
194 },
195 "internalOrder": {
196 "id": 0,
197 "displayId": "string",
198 "status": "CREATED",
199 "name": "string",
200 "erpSystemId": 0,
201 "internalOrderTypeId": 0
202 },
203 "additionalCurrencies": [
204 {
205 "id": 0,
206 "amount": 0,
207 "currency": {
208 "id": 0,
209 "displayId": "string",
210 "status": "CREATED",
211 "name": "string",
212 "decimalPoints": 0
213 },
214 "conversionRate": 0,
215 "conversionDate": "2019-08-24",
216 "translationDateType": "DOCUMENT_DATE",
217 "amountType": "NET_AMOUNT",
218 "currencyDefinitionType": "CONTRACT_CURRENCY",
219 "invoiceEntryId": 0,
220 "invoiceEntryDisplayId": "string"
221 }
222 ],
223 "scheduledPaymentMatches": [
224 {
225 "id": 0,
226 "fromId": 0,
227 "toId": 0,
228 "amount": 0
229 }
230 ],
231 "goodsReceiptLineItemLinks": [
232 {
233 "id": 0,
234 "fromId": 0,
235 "toId": 0,
236 "linkedQuantity": 0
237 }
238 ],
239 "invoiceId": 0,
240 "invoiceDisplayId": "string",
241 "invoiceState": "INV_DRAFT",
242 "vendorPaymentId": 0,
243 "purchaseOrderLineItemId": 0,
244 "netAmount": 0,
245 "allowsSystemGenerateNewId": true,
246 "numberRangeIdentifierValue": "string",
247 "numberRangeIdentifierType": {
248 "name": "string"
249 },
250 "numberRangeType": {
251 "name": "string"
252 }
253 }
254 ],
255 "workspaceId": 0,
256 "workspaceDisplayId": "string",
257 "workspaceName": "string",
258 "workspaceState": "INV_DRAFT",
259 "remainingNetAmount": 0,
260 "remainingTaxAmount": 0,
261 "remainingTotalAmount": 0,
262 "pendingPaymentCount": 0,
263 "allPaymentsPosted": true,
264 "approvalInfo": {
265 "approverUsername": "string",
266 "approvedAt": "2019-08-24T14:15:22Z"
267 },
268 "rejectionReason": "string",
269 "allowsSystemGenerateNewId": true,
270 "numberRangeIdentifierValue": "string",
271 "numberRangeIdentifierType": {
272 "name": "string"
273 },
274 "numberRangeType": {
275 "name": "string"
276 }
277 }
278]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
||
409 |
Payment amount exceeds remaining invoice balance |
||
502 |
Downstream service call failed |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "errorMessage": "string",
9 "field": "string",
10 "errorKey": "string"
11 }
12 ]
13 },
14 "object": [
15 {
16 "id": 0,
17 "displayId": "string",
18 "name": "string",
19 "invoiceType": "VENDOR_INV",
20 "state": "INV_DRAFT",
21 "externalDocumentNumber": "string",
22 "purchaseOrderReference": "string",
23 "invoiceDate": "2019-08-24",
24 "dueDate": "2019-08-24",
25 "notes": "string",
26 "billingPeriodFromDate": "2019-08-24",
27 "billingPeriodToDate": "2019-08-24",
28 "currency": {
29 "id": 0,
30 "displayId": "string",
31 "status": "CREATED",
32 "name": "string",
33 "decimalPoints": 0
34 },
35 "vendor": {
36 "id": 0,
37 "displayId": "string",
38 "status": "CREATED",
39 "name": "string",
40 "erpSystemDisplayId": "string"
41 },
42 "company": {
43 "id": 0,
44 "displayId": "string",
45 "status": "CREATED",
46 "erpSystemId": 0,
47 "erpSystemDisplayId": "string",
48 "countryId": 0,
49 "countryDisplayId": "string",
50 "name": "string",
51 "postingPeriodVariantId": 0,
52 "fiscalVariantId": 0
53 },
54 "netAmount": 0,
55 "taxAmount": 0,
56 "totalAmount": 0,
57 "netAmountBalance": 0,
58 "taxAmountBalance": 0,
59 "paymentTerm": {
60 "id": 0,
61 "displayId": "string",
62 "status": "CREATED",
63 "name": "string"
64 },
65 "paymentMethod": {
66 "id": 0,
67 "displayId": "string",
68 "status": "CREATED",
69 "name": "string",
70 "type": "string"
71 },
72 "paymentBlock": {
73 "id": 0,
74 "displayId": "string",
75 "status": "CREATED",
76 "name": "string"
77 },
78 "defaultCostCenter": {
79 "id": 0,
80 "displayId": "string",
81 "status": "CREATED",
82 "name": "string",
83 "erpSystemId": 0
84 },
85 "defaultProfitCenter": {
86 "id": 0,
87 "displayId": "string",
88 "status": "CREATED",
89 "name": "string",
90 "validTo": "2019-08-24",
91 "erpSystemId": 0,
92 "erpSystemDisplayId": "string"
93 },
94 "invoiceLineItems": [
95 {
96 "id": 0,
97 "displayId": "string",
98 "expenseCategory": {
99 "id": 0,
100 "displayId": "string",
101 "status": "CREATED",
102 "name": "string",
103 "expenseCategoryType": "PAYMENT"
104 },
105 "description": "string",
106 "unitOfMeasure": {
107 "id": 0,
108 "displayId": "string",
109 "status": "CREATED",
110 "name": "string",
111 "erpSystemId": 0
112 },
113 "quantity": 0,
114 "unitPrice": 0,
115 "taxJurisdiction": {
116 "id": 0,
117 "displayId": "string",
118 "status": "CREATED",
119 "name": "string",
120 "erpSystemId": 0,
121 "schema": "string",
122 "countryDisplayId": "string"
123 },
124 "taxCode": {
125 "id": 0,
126 "displayId": "string",
127 "status": "CREATED",
128 "name": "string",
129 "erpSystemId": 0
130 },
131 "taxExpenseAccount": {
132 "id": 0,
133 "displayId": "string",
134 "generalLedgerAccountName": "string",
135 "generalLedgerAccountCode": "string",
136 "openItemManagement": true,
137 "accountCategory": "BALANCESHEET",
138 "shortName": "string",
139 "longName": "string"
140 },
141 "taxLineItems": [
142 {
143 "id": 0,
144 "taxRate": 0.1,
145 "taxAmount": 0,
146 "taxType": "string",
147 "invoiceLineItemId": 0
148 }
149 ],
150 "workBreakdownStructure": {
151 "id": 0,
152 "displayId": "string",
153 "status": "CREATED",
154 "name": "string",
155 "erpSystemId": 0
156 },
157 "costCenter": {
158 "id": 0,
159 "displayId": "string",
160 "status": "CREATED",
161 "name": "string",
162 "erpSystemId": 0
163 },
164 "profitCenter": {
165 "id": 0,
166 "displayId": "string",
167 "status": "CREATED",
168 "name": "string",
169 "validTo": "2019-08-24",
170 "erpSystemId": 0,
171 "erpSystemDisplayId": "string"
172 },
173 "functionalArea": {
174 "id": 0,
175 "displayId": "string",
176 "status": "CREATED",
177 "name": "string",
178 "erpSystemId": 0
179 },
180 "businessArea": {
181 "id": 0,
182 "displayId": "string",
183 "status": "CREATED",
184 "name": "string",
185 "erpSystemId": 0
186 },
187 "segment": {
188 "id": 0,
189 "displayId": "string",
190 "status": "CREATED",
191 "name": "string",
192 "erpSystemId": 0
193 },
194 "network": {
195 "id": 0,
196 "displayId": "string",
197 "status": "CREATED",
198 "name": "string",
199 "erpSystemId": 0
200 },
201 "internalOrderType": {
202 "id": 0,
203 "displayId": "string",
204 "status": "CREATED",
205 "name": "string",
206 "erpSystemId": 0
207 },
208 "internalOrder": {
209 "id": 0,
210 "displayId": "string",
211 "status": "CREATED",
212 "name": "string",
213 "erpSystemId": 0,
214 "internalOrderTypeId": 0
215 },
216 "additionalCurrencies": [
217 {
218 "id": 0,
219 "amount": 0,
220 "currency": {
221 "id": 0,
222 "displayId": "string",
223 "status": "CREATED",
224 "name": "string",
225 "decimalPoints": 0
226 },
227 "conversionRate": 0,
228 "conversionDate": "2019-08-24",
229 "translationDateType": "DOCUMENT_DATE",
230 "amountType": "NET_AMOUNT",
231 "currencyDefinitionType": "CONTRACT_CURRENCY",
232 "invoiceEntryId": 0,
233 "invoiceEntryDisplayId": "string"
234 }
235 ],
236 "scheduledPaymentMatches": [
237 {
238 "id": 0,
239 "fromId": 0,
240 "toId": 0,
241 "amount": 0
242 }
243 ],
244 "goodsReceiptLineItemLinks": [
245 {
246 "id": 0,
247 "fromId": 0,
248 "toId": 0,
249 "linkedQuantity": 0
250 }
251 ],
252 "invoiceId": 0,
253 "invoiceDisplayId": "string",
254 "invoiceState": "INV_DRAFT",
255 "vendorPaymentId": 0,
256 "purchaseOrderLineItemId": 0,
257 "netAmount": 0,
258 "allowsSystemGenerateNewId": true,
259 "numberRangeIdentifierValue": "string",
260 "numberRangeIdentifierType": {
261 "name": "string"
262 },
263 "numberRangeType": {
264 "name": "string"
265 }
266 }
267 ],
268 "workspaceId": 0,
269 "workspaceDisplayId": "string",
270 "workspaceName": "string",
271 "workspaceState": "INV_DRAFT",
272 "remainingNetAmount": 0,
273 "remainingTaxAmount": 0,
274 "remainingTotalAmount": 0,
275 "pendingPaymentCount": 0,
276 "allPaymentsPosted": true,
277 "approvalInfo": {
278 "approverUsername": "string",
279 "approvedAt": "2019-08-24T14:15:22Z"
280 },
281 "rejectionReason": "string",
282 "allowsSystemGenerateNewId": true,
283 "numberRangeIdentifierValue": "string",
284 "numberRangeIdentifierType": {
285 "name": "string"
286 },
287 "numberRangeType": {
288 "name": "string"
289 }
290 }
291 ]
292}
Bulk-Create Resources¶
HTTP Request
POST /api/v1/invoice/bulk
📋 Description: Creates multiple resources in a single request. Partial success: each item is processed independently. Items that pass validation are persisted; failed items are recorded in the response
errorslist. The response body always contains the successfully created items alongside any per-item errors.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
Request body containing an array of invoice data, including details such as amounts, client information, and associated metadata for bulk processing. |
Body Parameters
1[
2 {
3 "id": 0,
4 "displayId": "string",
5 "name": "string",
6 "invoiceType": "VENDOR_INV",
7 "state": "INV_DRAFT",
8 "externalDocumentNumber": "string",
9 "purchaseOrderReference": "string",
10 "invoiceDate": "2019-08-24",
11 "dueDate": "2019-08-24",
12 "notes": "string",
13 "billingPeriodFromDate": "2019-08-24",
14 "billingPeriodToDate": "2019-08-24",
15 "currency": {
16 "id": 0,
17 "displayId": "string",
18 "status": "CREATED",
19 "name": "string",
20 "decimalPoints": 0
21 },
22 "vendor": {
23 "id": 0,
24 "displayId": "string",
25 "status": "CREATED",
26 "name": "string",
27 "erpSystemDisplayId": "string"
28 },
29 "company": {
30 "id": 0,
31 "displayId": "string",
32 "status": "CREATED",
33 "erpSystemId": 0,
34 "erpSystemDisplayId": "string",
35 "countryId": 0,
36 "countryDisplayId": "string",
37 "name": "string",
38 "postingPeriodVariantId": 0,
39 "fiscalVariantId": 0
40 },
41 "netAmount": 0,
42 "taxAmount": 0,
43 "totalAmount": 0,
44 "netAmountBalance": 0,
45 "taxAmountBalance": 0,
46 "paymentTerm": {
47 "id": 0,
48 "displayId": "string",
49 "status": "CREATED",
50 "name": "string"
51 },
52 "paymentMethod": {
53 "id": 0,
54 "displayId": "string",
55 "status": "CREATED",
56 "name": "string",
57 "type": "string"
58 },
59 "paymentBlock": {
60 "id": 0,
61 "displayId": "string",
62 "status": "CREATED",
63 "name": "string"
64 },
65 "defaultCostCenter": {
66 "id": 0,
67 "displayId": "string",
68 "status": "CREATED",
69 "name": "string",
70 "erpSystemId": 0
71 },
72 "defaultProfitCenter": {
73 "id": 0,
74 "displayId": "string",
75 "status": "CREATED",
76 "name": "string",
77 "validTo": "2019-08-24",
78 "erpSystemId": 0,
79 "erpSystemDisplayId": "string"
80 },
81 "invoiceLineItems": [
82 {
83 "id": 0,
84 "displayId": "string",
85 "expenseCategory": {
86 "id": 0,
87 "displayId": "string",
88 "status": "CREATED",
89 "name": "string",
90 "expenseCategoryType": "PAYMENT"
91 },
92 "description": "string",
93 "unitOfMeasure": {
94 "id": 0,
95 "displayId": "string",
96 "status": "CREATED",
97 "name": "string",
98 "erpSystemId": 0
99 },
100 "quantity": 0,
101 "unitPrice": 0,
102 "taxJurisdiction": {
103 "id": 0,
104 "displayId": "string",
105 "status": "CREATED",
106 "name": "string",
107 "erpSystemId": 0,
108 "schema": "string",
109 "countryDisplayId": "string"
110 },
111 "taxCode": {
112 "id": 0,
113 "displayId": "string",
114 "status": "CREATED",
115 "name": "string",
116 "erpSystemId": 0
117 },
118 "taxExpenseAccount": {
119 "id": 0,
120 "displayId": "string",
121 "generalLedgerAccountName": "string",
122 "generalLedgerAccountCode": "string",
123 "openItemManagement": true,
124 "accountCategory": "BALANCESHEET",
125 "shortName": "string",
126 "longName": "string"
127 },
128 "taxLineItems": [
129 {
130 "id": 0,
131 "taxRate": 0.1,
132 "taxAmount": 0,
133 "taxType": "string",
134 "invoiceLineItemId": 0
135 }
136 ],
137 "workBreakdownStructure": {
138 "id": 0,
139 "displayId": "string",
140 "status": "CREATED",
141 "name": "string",
142 "erpSystemId": 0
143 },
144 "costCenter": {
145 "id": 0,
146 "displayId": "string",
147 "status": "CREATED",
148 "name": "string",
149 "erpSystemId": 0
150 },
151 "profitCenter": {
152 "id": 0,
153 "displayId": "string",
154 "status": "CREATED",
155 "name": "string",
156 "validTo": "2019-08-24",
157 "erpSystemId": 0,
158 "erpSystemDisplayId": "string"
159 },
160 "functionalArea": {
161 "id": 0,
162 "displayId": "string",
163 "status": "CREATED",
164 "name": "string",
165 "erpSystemId": 0
166 },
167 "businessArea": {
168 "id": 0,
169 "displayId": "string",
170 "status": "CREATED",
171 "name": "string",
172 "erpSystemId": 0
173 },
174 "segment": {
175 "id": 0,
176 "displayId": "string",
177 "status": "CREATED",
178 "name": "string",
179 "erpSystemId": 0
180 },
181 "network": {
182 "id": 0,
183 "displayId": "string",
184 "status": "CREATED",
185 "name": "string",
186 "erpSystemId": 0
187 },
188 "internalOrderType": {
189 "id": 0,
190 "displayId": "string",
191 "status": "CREATED",
192 "name": "string",
193 "erpSystemId": 0
194 },
195 "internalOrder": {
196 "id": 0,
197 "displayId": "string",
198 "status": "CREATED",
199 "name": "string",
200 "erpSystemId": 0,
201 "internalOrderTypeId": 0
202 },
203 "additionalCurrencies": [
204 {
205 "id": 0,
206 "amount": 0,
207 "currency": {
208 "id": 0,
209 "displayId": "string",
210 "status": "CREATED",
211 "name": "string",
212 "decimalPoints": 0
213 },
214 "conversionRate": 0,
215 "conversionDate": "2019-08-24",
216 "translationDateType": "DOCUMENT_DATE",
217 "amountType": "NET_AMOUNT",
218 "currencyDefinitionType": "CONTRACT_CURRENCY",
219 "invoiceEntryId": 0,
220 "invoiceEntryDisplayId": "string"
221 }
222 ],
223 "scheduledPaymentMatches": [
224 {
225 "id": 0,
226 "fromId": 0,
227 "toId": 0,
228 "amount": 0
229 }
230 ],
231 "goodsReceiptLineItemLinks": [
232 {
233 "id": 0,
234 "fromId": 0,
235 "toId": 0,
236 "linkedQuantity": 0
237 }
238 ],
239 "invoiceId": 0,
240 "invoiceDisplayId": "string",
241 "invoiceState": "INV_DRAFT",
242 "vendorPaymentId": 0,
243 "purchaseOrderLineItemId": 0,
244 "netAmount": 0,
245 "allowsSystemGenerateNewId": true,
246 "numberRangeIdentifierValue": "string",
247 "numberRangeIdentifierType": {
248 "name": "string"
249 },
250 "numberRangeType": {
251 "name": "string"
252 }
253 }
254 ],
255 "workspaceId": 0,
256 "workspaceDisplayId": "string",
257 "workspaceName": "string",
258 "workspaceState": "INV_DRAFT",
259 "remainingNetAmount": 0,
260 "remainingTaxAmount": 0,
261 "remainingTotalAmount": 0,
262 "pendingPaymentCount": 0,
263 "allPaymentsPosted": true,
264 "approvalInfo": {
265 "approverUsername": "string",
266 "approvedAt": "2019-08-24T14:15:22Z"
267 },
268 "rejectionReason": "string",
269 "allowsSystemGenerateNewId": true,
270 "numberRangeIdentifierValue": "string",
271 "numberRangeIdentifierType": {
272 "name": "string"
273 },
274 "numberRangeType": {
275 "name": "string"
276 }
277 }
278]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
||
409 |
Payment amount exceeds remaining invoice balance |
||
502 |
Downstream service call failed |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "errorMessage": "string",
9 "field": "string",
10 "errorKey": "string"
11 }
12 ]
13 },
14 "object": [
15 {
16 "id": 0,
17 "displayId": "string",
18 "name": "string",
19 "invoiceType": "VENDOR_INV",
20 "state": "INV_DRAFT",
21 "externalDocumentNumber": "string",
22 "purchaseOrderReference": "string",
23 "invoiceDate": "2019-08-24",
24 "dueDate": "2019-08-24",
25 "notes": "string",
26 "billingPeriodFromDate": "2019-08-24",
27 "billingPeriodToDate": "2019-08-24",
28 "currency": {
29 "id": 0,
30 "displayId": "string",
31 "status": "CREATED",
32 "name": "string",
33 "decimalPoints": 0
34 },
35 "vendor": {
36 "id": 0,
37 "displayId": "string",
38 "status": "CREATED",
39 "name": "string",
40 "erpSystemDisplayId": "string"
41 },
42 "company": {
43 "id": 0,
44 "displayId": "string",
45 "status": "CREATED",
46 "erpSystemId": 0,
47 "erpSystemDisplayId": "string",
48 "countryId": 0,
49 "countryDisplayId": "string",
50 "name": "string",
51 "postingPeriodVariantId": 0,
52 "fiscalVariantId": 0
53 },
54 "netAmount": 0,
55 "taxAmount": 0,
56 "totalAmount": 0,
57 "netAmountBalance": 0,
58 "taxAmountBalance": 0,
59 "paymentTerm": {
60 "id": 0,
61 "displayId": "string",
62 "status": "CREATED",
63 "name": "string"
64 },
65 "paymentMethod": {
66 "id": 0,
67 "displayId": "string",
68 "status": "CREATED",
69 "name": "string",
70 "type": "string"
71 },
72 "paymentBlock": {
73 "id": 0,
74 "displayId": "string",
75 "status": "CREATED",
76 "name": "string"
77 },
78 "defaultCostCenter": {
79 "id": 0,
80 "displayId": "string",
81 "status": "CREATED",
82 "name": "string",
83 "erpSystemId": 0
84 },
85 "defaultProfitCenter": {
86 "id": 0,
87 "displayId": "string",
88 "status": "CREATED",
89 "name": "string",
90 "validTo": "2019-08-24",
91 "erpSystemId": 0,
92 "erpSystemDisplayId": "string"
93 },
94 "invoiceLineItems": [
95 {
96 "id": 0,
97 "displayId": "string",
98 "expenseCategory": {
99 "id": 0,
100 "displayId": "string",
101 "status": "CREATED",
102 "name": "string",
103 "expenseCategoryType": "PAYMENT"
104 },
105 "description": "string",
106 "unitOfMeasure": {
107 "id": 0,
108 "displayId": "string",
109 "status": "CREATED",
110 "name": "string",
111 "erpSystemId": 0
112 },
113 "quantity": 0,
114 "unitPrice": 0,
115 "taxJurisdiction": {
116 "id": 0,
117 "displayId": "string",
118 "status": "CREATED",
119 "name": "string",
120 "erpSystemId": 0,
121 "schema": "string",
122 "countryDisplayId": "string"
123 },
124 "taxCode": {
125 "id": 0,
126 "displayId": "string",
127 "status": "CREATED",
128 "name": "string",
129 "erpSystemId": 0
130 },
131 "taxExpenseAccount": {
132 "id": 0,
133 "displayId": "string",
134 "generalLedgerAccountName": "string",
135 "generalLedgerAccountCode": "string",
136 "openItemManagement": true,
137 "accountCategory": "BALANCESHEET",
138 "shortName": "string",
139 "longName": "string"
140 },
141 "taxLineItems": [
142 {
143 "id": 0,
144 "taxRate": 0.1,
145 "taxAmount": 0,
146 "taxType": "string",
147 "invoiceLineItemId": 0
148 }
149 ],
150 "workBreakdownStructure": {
151 "id": 0,
152 "displayId": "string",
153 "status": "CREATED",
154 "name": "string",
155 "erpSystemId": 0
156 },
157 "costCenter": {
158 "id": 0,
159 "displayId": "string",
160 "status": "CREATED",
161 "name": "string",
162 "erpSystemId": 0
163 },
164 "profitCenter": {
165 "id": 0,
166 "displayId": "string",
167 "status": "CREATED",
168 "name": "string",
169 "validTo": "2019-08-24",
170 "erpSystemId": 0,
171 "erpSystemDisplayId": "string"
172 },
173 "functionalArea": {
174 "id": 0,
175 "displayId": "string",
176 "status": "CREATED",
177 "name": "string",
178 "erpSystemId": 0
179 },
180 "businessArea": {
181 "id": 0,
182 "displayId": "string",
183 "status": "CREATED",
184 "name": "string",
185 "erpSystemId": 0
186 },
187 "segment": {
188 "id": 0,
189 "displayId": "string",
190 "status": "CREATED",
191 "name": "string",
192 "erpSystemId": 0
193 },
194 "network": {
195 "id": 0,
196 "displayId": "string",
197 "status": "CREATED",
198 "name": "string",
199 "erpSystemId": 0
200 },
201 "internalOrderType": {
202 "id": 0,
203 "displayId": "string",
204 "status": "CREATED",
205 "name": "string",
206 "erpSystemId": 0
207 },
208 "internalOrder": {
209 "id": 0,
210 "displayId": "string",
211 "status": "CREATED",
212 "name": "string",
213 "erpSystemId": 0,
214 "internalOrderTypeId": 0
215 },
216 "additionalCurrencies": [
217 {
218 "id": 0,
219 "amount": 0,
220 "currency": {
221 "id": 0,
222 "displayId": "string",
223 "status": "CREATED",
224 "name": "string",
225 "decimalPoints": 0
226 },
227 "conversionRate": 0,
228 "conversionDate": "2019-08-24",
229 "translationDateType": "DOCUMENT_DATE",
230 "amountType": "NET_AMOUNT",
231 "currencyDefinitionType": "CONTRACT_CURRENCY",
232 "invoiceEntryId": 0,
233 "invoiceEntryDisplayId": "string"
234 }
235 ],
236 "scheduledPaymentMatches": [
237 {
238 "id": 0,
239 "fromId": 0,
240 "toId": 0,
241 "amount": 0
242 }
243 ],
244 "goodsReceiptLineItemLinks": [
245 {
246 "id": 0,
247 "fromId": 0,
248 "toId": 0,
249 "linkedQuantity": 0
250 }
251 ],
252 "invoiceId": 0,
253 "invoiceDisplayId": "string",
254 "invoiceState": "INV_DRAFT",
255 "vendorPaymentId": 0,
256 "purchaseOrderLineItemId": 0,
257 "netAmount": 0,
258 "allowsSystemGenerateNewId": true,
259 "numberRangeIdentifierValue": "string",
260 "numberRangeIdentifierType": {
261 "name": "string"
262 },
263 "numberRangeType": {
264 "name": "string"
265 }
266 }
267 ],
268 "workspaceId": 0,
269 "workspaceDisplayId": "string",
270 "workspaceName": "string",
271 "workspaceState": "INV_DRAFT",
272 "remainingNetAmount": 0,
273 "remainingTaxAmount": 0,
274 "remainingTotalAmount": 0,
275 "pendingPaymentCount": 0,
276 "allPaymentsPosted": true,
277 "approvalInfo": {
278 "approverUsername": "string",
279 "approvedAt": "2019-08-24T14:15:22Z"
280 },
281 "rejectionReason": "string",
282 "allowsSystemGenerateNewId": true,
283 "numberRangeIdentifierValue": "string",
284 "numberRangeIdentifierType": {
285 "name": "string"
286 },
287 "numberRangeType": {
288 "name": "string"
289 }
290 }
291 ]
292}
Bulk-Delete Resources¶
HTTP Request
DELETE /api/v1/invoice/bulk
📋 Description: Deletes multiple resources by ID in a single request. Partial success: each deletion is attempted independently. If one or more deletions fail (e.g. due to state constraints), the successfully deleted items are NOT rolled back. A
ValidationExceptioncontaining per-item errors is thrown after all items have been attempted, so the caller must inspect the error list to determine which IDs were not deleted.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
array[integer] |
true |
Request body containing an array of invoice IDs to be deleted in bulk from the system. |
Body Parameters
1[
2 0
3]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
||
409 |
Payment amount exceeds remaining invoice balance |
||
502 |
Downstream service call failed |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "errorMessage": "string",
9 "field": "string",
10 "errorKey": "string"
11 }
12 ]
13 },
14 "object": {}
15}
Add Invoices To The Current User’S Default Workspace¶
HTTP Request
PUT /api/v1/invoice/add-to-default-workspace
📋 Description: Adds all specified Approved invoices to the authenticated user’s default (Open) workspace. A new workspace is created automatically if none exists. Returns a result object describing which invoices were added and which were skipped.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
array[integer] |
true |
Request body containing the invoice details to be added to the default workspace, including relevant identifiers and financial information. |
Body Parameters
1[
2 0
3]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
||
409 |
Payment amount exceeds remaining invoice balance |
||
502 |
Downstream service call failed |
Example Responses
1{
2 "workspaceId": 0,
3 "workspaceDisplayId": "string",
4 "workspaceName": "string",
5 "results": [
6 {
7 "entity": {
8 "id": 0,
9 "displayId": "string",
10 "name": "string",
11 "invoiceType": "VENDOR_INV",
12 "state": "INV_DRAFT",
13 "externalDocumentNumber": "string",
14 "purchaseOrderReference": "string",
15 "invoiceDate": "2019-08-24",
16 "dueDate": "2019-08-24",
17 "notes": "string",
18 "billingPeriodFromDate": "2019-08-24",
19 "billingPeriodToDate": "2019-08-24",
20 "currency": {
21 "id": 0,
22 "displayId": "string",
23 "status": "CREATED",
24 "name": "string",
25 "decimalPoints": 0
26 },
27 "vendor": {
28 "id": 0,
29 "displayId": "string",
30 "status": "CREATED",
31 "name": "string",
32 "erpSystemDisplayId": "string"
33 },
34 "company": {
35 "id": 0,
36 "displayId": "string",
37 "status": "CREATED",
38 "erpSystemId": 0,
39 "erpSystemDisplayId": "string",
40 "countryId": 0,
41 "countryDisplayId": "string",
42 "name": "string",
43 "postingPeriodVariantId": 0,
44 "fiscalVariantId": 0
45 },
46 "netAmount": 0,
47 "taxAmount": 0,
48 "totalAmount": 0,
49 "netAmountBalance": 0,
50 "taxAmountBalance": 0,
51 "paymentTerm": {
52 "id": 0,
53 "displayId": "string",
54 "status": "CREATED",
55 "name": "string"
56 },
57 "paymentMethod": {
58 "id": 0,
59 "displayId": "string",
60 "status": "CREATED",
61 "name": "string",
62 "type": "string"
63 },
64 "paymentBlock": {
65 "id": 0,
66 "displayId": "string",
67 "status": "CREATED",
68 "name": "string"
69 },
70 "defaultCostCenter": {
71 "id": 0,
72 "displayId": "string",
73 "status": "CREATED",
74 "name": "string",
75 "erpSystemId": 0
76 },
77 "defaultProfitCenter": {
78 "id": 0,
79 "displayId": "string",
80 "status": "CREATED",
81 "name": "string",
82 "validTo": "2019-08-24",
83 "erpSystemId": 0,
84 "erpSystemDisplayId": "string"
85 },
86 "invoiceLineItems": [
87 {
88 "id": 0,
89 "displayId": "string",
90 "expenseCategory": {
91 "id": 0,
92 "displayId": "string",
93 "status": "CREATED",
94 "name": "string",
95 "expenseCategoryType": "PAYMENT"
96 },
97 "description": "string",
98 "unitOfMeasure": {
99 "id": 0,
100 "displayId": "string",
101 "status": "CREATED",
102 "name": "string",
103 "erpSystemId": 0
104 },
105 "quantity": 0,
106 "unitPrice": 0,
107 "taxJurisdiction": {
108 "id": 0,
109 "displayId": "string",
110 "status": "CREATED",
111 "name": "string",
112 "erpSystemId": 0,
113 "schema": "string",
114 "countryDisplayId": "string"
115 },
116 "taxCode": {
117 "id": 0,
118 "displayId": "string",
119 "status": "CREATED",
120 "name": "string",
121 "erpSystemId": 0
122 },
123 "taxExpenseAccount": {
124 "id": 0,
125 "displayId": "string",
126 "generalLedgerAccountName": "string",
127 "generalLedgerAccountCode": "string",
128 "openItemManagement": true,
129 "accountCategory": "BALANCESHEET",
130 "shortName": "string",
131 "longName": "string"
132 },
133 "taxLineItems": [
134 {
135 "id": 0,
136 "taxRate": 0.1,
137 "taxAmount": 0,
138 "taxType": "string",
139 "invoiceLineItemId": 0
140 }
141 ],
142 "workBreakdownStructure": {
143 "id": 0,
144 "displayId": "string",
145 "status": "CREATED",
146 "name": "string",
147 "erpSystemId": 0
148 },
149 "costCenter": {
150 "id": 0,
151 "displayId": "string",
152 "status": "CREATED",
153 "name": "string",
154 "erpSystemId": 0
155 },
156 "profitCenter": {
157 "id": 0,
158 "displayId": "string",
159 "status": "CREATED",
160 "name": "string",
161 "validTo": "2019-08-24",
162 "erpSystemId": 0,
163 "erpSystemDisplayId": "string"
164 },
165 "functionalArea": {
166 "id": 0,
167 "displayId": "string",
168 "status": "CREATED",
169 "name": "string",
170 "erpSystemId": 0
171 },
172 "businessArea": {
173 "id": 0,
174 "displayId": "string",
175 "status": "CREATED",
176 "name": "string",
177 "erpSystemId": 0
178 },
179 "segment": {
180 "id": 0,
181 "displayId": "string",
182 "status": "CREATED",
183 "name": "string",
184 "erpSystemId": 0
185 },
186 "network": {
187 "id": 0,
188 "displayId": "string",
189 "status": "CREATED",
190 "name": "string",
191 "erpSystemId": 0
192 },
193 "internalOrderType": {
194 "id": 0,
195 "displayId": "string",
196 "status": "CREATED",
197 "name": "string",
198 "erpSystemId": 0
199 },
200 "internalOrder": {
201 "id": 0,
202 "displayId": "string",
203 "status": "CREATED",
204 "name": "string",
205 "erpSystemId": 0,
206 "internalOrderTypeId": 0
207 },
208 "additionalCurrencies": [
209 {
210 "id": 0,
211 "amount": 0,
212 "currency": {
213 "id": 0,
214 "displayId": "string",
215 "status": "CREATED",
216 "name": "string",
217 "decimalPoints": 0
218 },
219 "conversionRate": 0,
220 "conversionDate": "2019-08-24",
221 "translationDateType": "DOCUMENT_DATE",
222 "amountType": "NET_AMOUNT",
223 "currencyDefinitionType": "CONTRACT_CURRENCY",
224 "invoiceEntryId": 0,
225 "invoiceEntryDisplayId": "string"
226 }
227 ],
228 "scheduledPaymentMatches": [
229 {
230 "id": 0,
231 "fromId": 0,
232 "toId": 0,
233 "amount": 0
234 }
235 ],
236 "goodsReceiptLineItemLinks": [
237 {
238 "id": 0,
239 "fromId": 0,
240 "toId": 0,
241 "linkedQuantity": 0
242 }
243 ],
244 "invoiceId": 0,
245 "invoiceDisplayId": "string",
246 "invoiceState": "INV_DRAFT",
247 "vendorPaymentId": 0,
248 "purchaseOrderLineItemId": 0,
249 "netAmount": 0,
250 "allowsSystemGenerateNewId": true,
251 "numberRangeIdentifierValue": "string",
252 "numberRangeIdentifierType": {
253 "name": "string"
254 },
255 "numberRangeType": {
256 "name": "string"
257 }
258 }
259 ],
260 "workspaceId": 0,
261 "workspaceDisplayId": "string",
262 "workspaceName": "string",
263 "workspaceState": "INV_DRAFT",
264 "remainingNetAmount": 0,
265 "remainingTaxAmount": 0,
266 "remainingTotalAmount": 0,
267 "pendingPaymentCount": 0,
268 "allPaymentsPosted": true,
269 "approvalInfo": {
270 "approverUsername": "string",
271 "approvedAt": "2019-08-24T14:15:22Z"
272 },
273 "rejectionReason": "string",
274 "allowsSystemGenerateNewId": true,
275 "numberRangeIdentifierValue": "string",
276 "numberRangeIdentifierType": {
277 "name": "string"
278 },
279 "numberRangeType": {
280 "name": "string"
281 }
282 },
283 "entityId": 0,
284 "status": "SUCCESS",
285 "errorMessage": "string"
286 }
287 ],
288 "totalProcessed": 0,
289 "successCount": 0,
290 "failedCount": 0,
291 "alreadyLinkedCount": 0
292}
List All Resources¶
HTTP Request
GET /api/v1/invoice
📋 Description: Returns a paginated list of all accessible resources ordered by ID. Prefer POST /search for filtered queries.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
pageable |
query |
true |
Indicates whether the results of the invoice retrieval should be paginated, allowing for efficient handling of large datasets. |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
||
409 |
Payment amount exceeds remaining invoice balance |
||
502 |
Downstream service call failed |
Example Responses
1{
2 "totalPages": 0,
3 "totalElements": 0,
4 "pageable": {
5 "pageNumber": 0,
6 "unpaged": true,
7 "paged": true,
8 "pageSize": 0,
9 "offset": 0,
10 "sort": {
11 "unsorted": true,
12 "sorted": true,
13 "empty": true
14 }
15 },
16 "numberOfElements": 0,
17 "size": 0,
18 "content": [
19 {
20 "id": 0,
21 "displayId": "string",
22 "name": "string",
23 "invoiceType": "VENDOR_INV",
24 "state": "INV_DRAFT",
25 "externalDocumentNumber": "string",
26 "purchaseOrderReference": "string",
27 "invoiceDate": "2019-08-24",
28 "dueDate": "2019-08-24",
29 "notes": "string",
30 "billingPeriodFromDate": "2019-08-24",
31 "billingPeriodToDate": "2019-08-24",
32 "currency": {
33 "id": 0,
34 "displayId": "string",
35 "status": "CREATED",
36 "name": "string",
37 "decimalPoints": 0
38 },
39 "vendor": {
40 "id": 0,
41 "displayId": "string",
42 "status": "CREATED",
43 "name": "string",
44 "erpSystemDisplayId": "string"
45 },
46 "company": {
47 "id": 0,
48 "displayId": "string",
49 "status": "CREATED",
50 "erpSystemId": 0,
51 "erpSystemDisplayId": "string",
52 "countryId": 0,
53 "countryDisplayId": "string",
54 "name": "string",
55 "postingPeriodVariantId": 0,
56 "fiscalVariantId": 0
57 },
58 "netAmount": 0,
59 "taxAmount": 0,
60 "totalAmount": 0,
61 "netAmountBalance": 0,
62 "taxAmountBalance": 0,
63 "paymentTerm": {
64 "id": 0,
65 "displayId": "string",
66 "status": "CREATED",
67 "name": "string"
68 },
69 "paymentMethod": {
70 "id": 0,
71 "displayId": "string",
72 "status": "CREATED",
73 "name": "string",
74 "type": "string"
75 },
76 "paymentBlock": {
77 "id": 0,
78 "displayId": "string",
79 "status": "CREATED",
80 "name": "string"
81 },
82 "defaultCostCenter": {
83 "id": 0,
84 "displayId": "string",
85 "status": "CREATED",
86 "name": "string",
87 "erpSystemId": 0
88 },
89 "defaultProfitCenter": {
90 "id": 0,
91 "displayId": "string",
92 "status": "CREATED",
93 "name": "string",
94 "validTo": "2019-08-24",
95 "erpSystemId": 0,
96 "erpSystemDisplayId": "string"
97 },
98 "invoiceLineItems": [
99 {
100 "id": 0,
101 "displayId": "string",
102 "expenseCategory": {
103 "id": 0,
104 "displayId": "string",
105 "status": "CREATED",
106 "name": "string",
107 "expenseCategoryType": "PAYMENT"
108 },
109 "description": "string",
110 "unitOfMeasure": {
111 "id": 0,
112 "displayId": "string",
113 "status": "CREATED",
114 "name": "string",
115 "erpSystemId": 0
116 },
117 "quantity": 0,
118 "unitPrice": 0,
119 "taxJurisdiction": {
120 "id": 0,
121 "displayId": "string",
122 "status": "CREATED",
123 "name": "string",
124 "erpSystemId": 0,
125 "schema": "string",
126 "countryDisplayId": "string"
127 },
128 "taxCode": {
129 "id": 0,
130 "displayId": "string",
131 "status": "CREATED",
132 "name": "string",
133 "erpSystemId": 0
134 },
135 "taxExpenseAccount": {
136 "id": 0,
137 "displayId": "string",
138 "generalLedgerAccountName": "string",
139 "generalLedgerAccountCode": "string",
140 "openItemManagement": true,
141 "accountCategory": "BALANCESHEET",
142 "shortName": "string",
143 "longName": "string"
144 },
145 "taxLineItems": [
146 {
147 "id": 0,
148 "taxRate": 0.1,
149 "taxAmount": 0,
150 "taxType": "string",
151 "invoiceLineItemId": 0
152 }
153 ],
154 "workBreakdownStructure": {
155 "id": 0,
156 "displayId": "string",
157 "status": "CREATED",
158 "name": "string",
159 "erpSystemId": 0
160 },
161 "costCenter": {
162 "id": 0,
163 "displayId": "string",
164 "status": "CREATED",
165 "name": "string",
166 "erpSystemId": 0
167 },
168 "profitCenter": {
169 "id": 0,
170 "displayId": "string",
171 "status": "CREATED",
172 "name": "string",
173 "validTo": "2019-08-24",
174 "erpSystemId": 0,
175 "erpSystemDisplayId": "string"
176 },
177 "functionalArea": {
178 "id": 0,
179 "displayId": "string",
180 "status": "CREATED",
181 "name": "string",
182 "erpSystemId": 0
183 },
184 "businessArea": {
185 "id": 0,
186 "displayId": "string",
187 "status": "CREATED",
188 "name": "string",
189 "erpSystemId": 0
190 },
191 "segment": {
192 "id": 0,
193 "displayId": "string",
194 "status": "CREATED",
195 "name": "string",
196 "erpSystemId": 0
197 },
198 "network": {
199 "id": 0,
200 "displayId": "string",
201 "status": "CREATED",
202 "name": "string",
203 "erpSystemId": 0
204 },
205 "internalOrderType": {
206 "id": 0,
207 "displayId": "string",
208 "status": "CREATED",
209 "name": "string",
210 "erpSystemId": 0
211 },
212 "internalOrder": {
213 "id": 0,
214 "displayId": "string",
215 "status": "CREATED",
216 "name": "string",
217 "erpSystemId": 0,
218 "internalOrderTypeId": 0
219 },
220 "additionalCurrencies": [
221 {
222 "id": 0,
223 "amount": 0,
224 "currency": {
225 "id": 0,
226 "displayId": "string",
227 "status": "CREATED",
228 "name": "string",
229 "decimalPoints": 0
230 },
231 "conversionRate": 0,
232 "conversionDate": "2019-08-24",
233 "translationDateType": "DOCUMENT_DATE",
234 "amountType": "NET_AMOUNT",
235 "currencyDefinitionType": "CONTRACT_CURRENCY",
236 "invoiceEntryId": 0,
237 "invoiceEntryDisplayId": "string"
238 }
239 ],
240 "scheduledPaymentMatches": [
241 {
242 "id": 0,
243 "fromId": 0,
244 "toId": 0,
245 "amount": 0
246 }
247 ],
248 "goodsReceiptLineItemLinks": [
249 {
250 "id": 0,
251 "fromId": 0,
252 "toId": 0,
253 "linkedQuantity": 0
254 }
255 ],
256 "invoiceId": 0,
257 "invoiceDisplayId": "string",
258 "invoiceState": "INV_DRAFT",
259 "vendorPaymentId": 0,
260 "purchaseOrderLineItemId": 0,
261 "netAmount": 0,
262 "allowsSystemGenerateNewId": true,
263 "numberRangeIdentifierValue": "string",
264 "numberRangeIdentifierType": {
265 "name": "string"
266 },
267 "numberRangeType": {
268 "name": "string"
269 }
270 }
271 ],
272 "workspaceId": 0,
273 "workspaceDisplayId": "string",
274 "workspaceName": "string",
275 "workspaceState": "INV_DRAFT",
276 "remainingNetAmount": 0,
277 "remainingTaxAmount": 0,
278 "remainingTotalAmount": 0,
279 "pendingPaymentCount": 0,
280 "allPaymentsPosted": true,
281 "approvalInfo": {
282 "approverUsername": "string",
283 "approvedAt": "2019-08-24T14:15:22Z"
284 },
285 "rejectionReason": "string",
286 "allowsSystemGenerateNewId": true,
287 "numberRangeIdentifierValue": "string",
288 "numberRangeIdentifierType": {
289 "name": "string"
290 },
291 "numberRangeType": {
292 "name": "string"
293 }
294 }
295 ],
296 "number": 0,
297 "sort": {
298 "unsorted": true,
299 "sorted": true,
300 "empty": true
301 },
302 "first": true,
303 "last": true,
304 "empty": true
305}
Create A Resource¶
HTTP Request
POST /api/v1/invoice
📋 Description: Creates a single resource. Returns the created resource with its generated ID.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
Request body containing the invoice details, including line items, amounts, and customer information for processing billing transactions. |
Body Parameters
1{
2 "id": 0,
3 "displayId": "string",
4 "name": "string",
5 "invoiceType": "VENDOR_INV",
6 "state": "INV_DRAFT",
7 "externalDocumentNumber": "string",
8 "purchaseOrderReference": "string",
9 "invoiceDate": "2019-08-24",
10 "dueDate": "2019-08-24",
11 "notes": "string",
12 "billingPeriodFromDate": "2019-08-24",
13 "billingPeriodToDate": "2019-08-24",
14 "currency": {
15 "id": 0,
16 "displayId": "string",
17 "status": "CREATED",
18 "name": "string",
19 "decimalPoints": 0
20 },
21 "vendor": {
22 "id": 0,
23 "displayId": "string",
24 "status": "CREATED",
25 "name": "string",
26 "erpSystemDisplayId": "string"
27 },
28 "company": {
29 "id": 0,
30 "displayId": "string",
31 "status": "CREATED",
32 "erpSystemId": 0,
33 "erpSystemDisplayId": "string",
34 "countryId": 0,
35 "countryDisplayId": "string",
36 "name": "string",
37 "postingPeriodVariantId": 0,
38 "fiscalVariantId": 0
39 },
40 "netAmount": 0,
41 "taxAmount": 0,
42 "totalAmount": 0,
43 "netAmountBalance": 0,
44 "taxAmountBalance": 0,
45 "paymentTerm": {
46 "id": 0,
47 "displayId": "string",
48 "status": "CREATED",
49 "name": "string"
50 },
51 "paymentMethod": {
52 "id": 0,
53 "displayId": "string",
54 "status": "CREATED",
55 "name": "string",
56 "type": "string"
57 },
58 "paymentBlock": {
59 "id": 0,
60 "displayId": "string",
61 "status": "CREATED",
62 "name": "string"
63 },
64 "defaultCostCenter": {
65 "id": 0,
66 "displayId": "string",
67 "status": "CREATED",
68 "name": "string",
69 "erpSystemId": 0
70 },
71 "defaultProfitCenter": {
72 "id": 0,
73 "displayId": "string",
74 "status": "CREATED",
75 "name": "string",
76 "validTo": "2019-08-24",
77 "erpSystemId": 0,
78 "erpSystemDisplayId": "string"
79 },
80 "invoiceLineItems": [
81 {
82 "id": 0,
83 "displayId": "string",
84 "expenseCategory": {
85 "id": 0,
86 "displayId": "string",
87 "status": "CREATED",
88 "name": "string",
89 "expenseCategoryType": "PAYMENT"
90 },
91 "description": "string",
92 "unitOfMeasure": {
93 "id": 0,
94 "displayId": "string",
95 "status": "CREATED",
96 "name": "string",
97 "erpSystemId": 0
98 },
99 "quantity": 0,
100 "unitPrice": 0,
101 "taxJurisdiction": {
102 "id": 0,
103 "displayId": "string",
104 "status": "CREATED",
105 "name": "string",
106 "erpSystemId": 0,
107 "schema": "string",
108 "countryDisplayId": "string"
109 },
110 "taxCode": {
111 "id": 0,
112 "displayId": "string",
113 "status": "CREATED",
114 "name": "string",
115 "erpSystemId": 0
116 },
117 "taxExpenseAccount": {
118 "id": 0,
119 "displayId": "string",
120 "generalLedgerAccountName": "string",
121 "generalLedgerAccountCode": "string",
122 "openItemManagement": true,
123 "accountCategory": "BALANCESHEET",
124 "shortName": "string",
125 "longName": "string"
126 },
127 "taxLineItems": [
128 {
129 "id": 0,
130 "taxRate": 0.1,
131 "taxAmount": 0,
132 "taxType": "string",
133 "invoiceLineItemId": 0
134 }
135 ],
136 "workBreakdownStructure": {
137 "id": 0,
138 "displayId": "string",
139 "status": "CREATED",
140 "name": "string",
141 "erpSystemId": 0
142 },
143 "costCenter": {
144 "id": 0,
145 "displayId": "string",
146 "status": "CREATED",
147 "name": "string",
148 "erpSystemId": 0
149 },
150 "profitCenter": {
151 "id": 0,
152 "displayId": "string",
153 "status": "CREATED",
154 "name": "string",
155 "validTo": "2019-08-24",
156 "erpSystemId": 0,
157 "erpSystemDisplayId": "string"
158 },
159 "functionalArea": {
160 "id": 0,
161 "displayId": "string",
162 "status": "CREATED",
163 "name": "string",
164 "erpSystemId": 0
165 },
166 "businessArea": {
167 "id": 0,
168 "displayId": "string",
169 "status": "CREATED",
170 "name": "string",
171 "erpSystemId": 0
172 },
173 "segment": {
174 "id": 0,
175 "displayId": "string",
176 "status": "CREATED",
177 "name": "string",
178 "erpSystemId": 0
179 },
180 "network": {
181 "id": 0,
182 "displayId": "string",
183 "status": "CREATED",
184 "name": "string",
185 "erpSystemId": 0
186 },
187 "internalOrderType": {
188 "id": 0,
189 "displayId": "string",
190 "status": "CREATED",
191 "name": "string",
192 "erpSystemId": 0
193 },
194 "internalOrder": {
195 "id": 0,
196 "displayId": "string",
197 "status": "CREATED",
198 "name": "string",
199 "erpSystemId": 0,
200 "internalOrderTypeId": 0
201 },
202 "additionalCurrencies": [
203 {
204 "id": 0,
205 "amount": 0,
206 "currency": {
207 "id": 0,
208 "displayId": "string",
209 "status": "CREATED",
210 "name": "string",
211 "decimalPoints": 0
212 },
213 "conversionRate": 0,
214 "conversionDate": "2019-08-24",
215 "translationDateType": "DOCUMENT_DATE",
216 "amountType": "NET_AMOUNT",
217 "currencyDefinitionType": "CONTRACT_CURRENCY",
218 "invoiceEntryId": 0,
219 "invoiceEntryDisplayId": "string"
220 }
221 ],
222 "scheduledPaymentMatches": [
223 {
224 "id": 0,
225 "fromId": 0,
226 "toId": 0,
227 "amount": 0
228 }
229 ],
230 "goodsReceiptLineItemLinks": [
231 {
232 "id": 0,
233 "fromId": 0,
234 "toId": 0,
235 "linkedQuantity": 0
236 }
237 ],
238 "invoiceId": 0,
239 "invoiceDisplayId": "string",
240 "invoiceState": "INV_DRAFT",
241 "vendorPaymentId": 0,
242 "purchaseOrderLineItemId": 0,
243 "netAmount": 0,
244 "allowsSystemGenerateNewId": true,
245 "numberRangeIdentifierValue": "string",
246 "numberRangeIdentifierType": {
247 "name": "string"
248 },
249 "numberRangeType": {
250 "name": "string"
251 }
252 }
253 ],
254 "workspaceId": 0,
255 "workspaceDisplayId": "string",
256 "workspaceName": "string",
257 "workspaceState": "INV_DRAFT",
258 "remainingNetAmount": 0,
259 "remainingTaxAmount": 0,
260 "remainingTotalAmount": 0,
261 "pendingPaymentCount": 0,
262 "allPaymentsPosted": true,
263 "approvalInfo": {
264 "approverUsername": "string",
265 "approvedAt": "2019-08-24T14:15:22Z"
266 },
267 "rejectionReason": "string",
268 "allowsSystemGenerateNewId": true,
269 "numberRangeIdentifierValue": "string",
270 "numberRangeIdentifierType": {
271 "name": "string"
272 },
273 "numberRangeType": {
274 "name": "string"
275 }
276}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
||
409 |
Payment amount exceeds remaining invoice balance |
||
502 |
Downstream service call failed |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "errorMessage": "string",
9 "field": "string",
10 "errorKey": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "displayId": "string",
17 "name": "string",
18 "invoiceType": "VENDOR_INV",
19 "state": "INV_DRAFT",
20 "externalDocumentNumber": "string",
21 "purchaseOrderReference": "string",
22 "invoiceDate": "2019-08-24",
[...]
